<?php   require_once("../../config.php");

	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$contactType = fnGetReqVal("contactType", "", $myRequestVars);
	$contactMode = fnGetReqVal("contactMode", "", $myRequestVars);
	$contactService = fnGetReqVal("contactService", "", $myRequestVars);
	$filterBrand = fnGetReqVal("filterBrand", "", $myRequestVars);
	$userId = fnGetReqVal("userId", "", $myRequestVars);

	//if our querystring has an ampersand in it (probably in the contactService) we need to determine the variables manually...
	if(isset($_SERVER['QUERY_STRING'])){
		$tmpParams = $_SERVER['QUERY_STRING'];
		$tmpParams = str_replace("%20", " ", $tmpParams);
		$tmpParams = str_replace(" & ", " %26 ", $tmpParams);
		//echo $tmpParams;
		//exit();
		$parts = explode("&", $tmpParams);
		for($x = 0; $x < count($parts); $x++){
			$subParts = explode("=", $parts[$x]);
			if(count($subParts) == 2){
			
				//echo "<br>" . $subParts[0] . ":" . $subParts[1];
			
				$varName = urldecode($subParts[0]);
				$varValue = urldecode($subParts[1]);
				if(strtoupper($varName) == "CONTACTTYPE") $contactType = $varValue;
				if(strtoupper($varName) == "CONTACTMODE") $contactMode = $varValue;
				if(strtoupper($varName) == "CONTACTSERVICE") $contactService = $varValue;
				if(strtoupper($varName) == "FILTERBRAND") $filterBrand = $varValue;
				
				//echo "<br>" . $varName . ":" . $varValue;
				
			}
		}
	}
	
	//must have appGuid
	if($appGuid == ""){
		echo "invalid";
		exit();	
	}
	
	//outputs to app
	$JSON = "{\"childItems\":[";
	
	
	

	$strSql = "";
	$whereClause = "";

	
	if(strtoupper($appGuid) != "" ){	
		//select all records for this app, where type = Maine or userID = the signed in userId
		$whereClause = " WHERE C.appGuid = '" . $appGuid . "' ";
		
		
	
	
		//sql
		$strSql = " SELECT C.guid, C.firstName, C.lastName, C.organization FROM " . TBL_CONTACT_DATA . " AS C ";
		$strSql .= $whereClause;
		$strSql .= " ORDER BY C.organization ";
		
	
	}
	
	$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
	if($res){
		$numRows = mysql_num_rows($res);
		$cnt = 0;
		while($row = mysql_fetch_array($res)){

				$cnt++;

					if (strtoupper($appGuid) != ""){
					//contact name
					
					if (fnFormOutput($row["lastName"]) != ""){
						$contactName = fnFormOutput($row["firstName"] . " " . $row["lastName"]);
						}else{
					
					
						$contactName = fnFormOutput($row["organization"]);
						
						}
					//load screen object on details tap...
					$loadScreenObject = "{";
					$loadScreenObject .= "\"itemId\":\"" . $cnt . "-" . $row["guid"] . "\","; 
					$loadScreenObject .= "\"itemType\":\"BT_screen_customURL\", "; 
					$loadScreenObject .= "\"itemNickname\":\"na\", "; 
					$loadScreenObject .= "\"showBrowserBarRefresh\":\"0\", "; 
					$loadScreenObject .= "\"showBrowserBarBack\":\"0\", "; 
					$loadScreenObject .= "\"showBrowserBarLaunchInNativeApp\":\"0\", "; 
					$loadScreenObject .= "\"showBrowserBarEmailDocument\":\"0\", "; 
					$loadScreenObject .= "\"forceRefresh\":\"1\", "; 
					
					$loadScreenObject .= "\"dataDetectorType\":\"0\", "; 
					$loadScreenObject .= "\"navBarTitleText\":\"Contact\", "; 
			
					$loadScreenObject .= "\"dataURL\":\"" . APP_URL . "/wb_addons/contacts/contact-details.php?appGuid=" . $appGuid . "&contactType=test&contactGuid=" . $row["guid"] . "\""; 
					
					$loadScreenObject .= "}"; 			
					
					$JSON .= "{\"itemId\":\"" . strtoupper(fnCreateGuid()) . "\", ";
					$JSON .= "\"itemType\":\"BT_menuItem\", ";
					$JSON .= "\"titleText\":\"" .  $contactName . "\", ";
					
					$JSON .= "\"loadScreenObject\":" . $loadScreenObject . "}";
				}
			
				//don't print comma after last item..
				if($cnt < $numRows){
					$JSON .= ", ";
				}
		
		
		}
	}					
	
	//cap json
	$JSON .= "\n]}";
	
	//output...
	echo $JSON;
	

?>

