<?php   require_once("../../config.php");

	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$filterBranchType = fnGetReqVal("filterBranchType", "", $myRequestVars);

	//clean up possible query formatting chars..
	$filterBranchType = str_replace("~", " ", $filterBranchType);
	$filterBranchType = str_replace("!", "&", $filterBranchType);
	
	//must have appGuid
	if($appGuid == ""){
		echo "invalid";
		exit();	
	}
	
	//outputs to app
	$JSON = "{\"childItems\":[";
	
	//WHERE CLAUSE
	$whereClause = " WHERE M.appGuid = '" . $appGuid . "' ";
	
	
	//fetch
    $strSql = " SELECT M.guid, M.type, M.category, M.locationName, M.city, ";
	$strSql .= "M.state, M.country, M.latitude, M.longitude ";
	$strSql .= "FROM " . TBL_MAP_DATA . " AS M ";
	$strSql .= $whereClause;	
	
	$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
	if($res){
		$numRows = mysql_num_rows($res);
		$cnt = 0;
		while($row = mysql_fetch_array($res)){
			$cnt++;
			if(strlen($row["latitude"]) > 3 && strlen($row["longitude"]) > 3){
			
				//load screen object on details tap...
				$loadScreenObject = "{";
				$loadScreenObject .= "\"itemId\":\"" . $cnt . "-" . $row["guid"] . "\","; 
				$loadScreenObject .= "\"itemType\":\"BT_screen_customURL\", "; 
				$loadScreenObject .= "\"itemNickname\":\"na\", "; 
				$loadScreenObject .= "\"backgroundColor\":\"stripes\", "; 
				$loadScreenObject .= "\"showBrowserBarRefresh\":\"0\", "; 
				$loadScreenObject .= "\"showBrowserBarBack\":\"0\", "; 
				$loadScreenObject .= "\"showBrowserBarLaunchInNativeApp\":\"0\", "; 
				$loadScreenObject .= "\"showBrowserBarEmailDocument\":\"0\", "; 
				$loadScreenObject .= "\"dataDetectorType\":\"0\", "; 
				$loadScreenObject .= "\"navBarTitleText\":\"Map: " . $row["locationName"] . "\", "; 
				$loadScreenObject .= "\"dataURL\":\"" . APP_URL . "/wb_addons/maps/map_details.php?appGuid=" . $appGuid . "&mapGuid=" . $row["guid"] . "\"";  
				$loadScreenObject .= "}"; 			
				
				$title = $row["locationName"];
				$subTitle = $row["city"];
				if($row["state"] != "") $subTitle .= ", " . $row["state"];
				if($row["country"] != "") $subTitle .= ", " . $row["country"];
				
				
				$JSON .= "{\"itemId\":\"" . $row["guid"] . "\", ";
				$JSON .= "\"itemType\":\"BT_mapLocation\", ";
				$JSON .= "\"latitude\":\"" .  $row["latitude"] . "\", ";
				$JSON .= "\"longitude\":\"" .  $row["longitude"] . "\", "; 
				$JSON .= "\"title\":\"" . fnFormOutput($title) . "\", ";
				$JSON .= "\"subTitle\":\"" . fnFormOutput($subTitle) . "\","; 
				$JSON .= "\"pinColor\":\"green\", ";
				
				$JSON .= "\"loadScreenObject\":" . $loadScreenObject . "}";
				
				
				
				
				
			
				//Don't print comma after last item..
				if($cnt < $numRows){
					$JSON .= ", ";
				}
			
			}//lat/lon
			
		
			
			
		}
	}					
	
	//cap json
	$JSON .= "\n]}";

	
	//output...
	echo $JSON;


?>

