<?php   require_once("../../config.php");
		require_once("../../includes/zip.php");

	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
		
	//User Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);

	//Page Object
	$thisPage = new Page();
	$thisPage->formEncType = "multipart/form-data";
	
	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$strMessage = "";
	$bolDone = false;
	$bolPassed = true;
	$bolDeleted = false;
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$appName = "";
	$status = "";
	$BT_mapId = fnGetReqVal("BT_mapId", "", $myRequestVars);
	$command = fnGetReqVal("command", "", $myRequestVars);
	$doWhat = fnGetReqVal("doWhat", "", $myRequestVars);

	///////////////////////////////////////////////////////////////
	//selected id's
	$selectedIds = array();
	$inClauseSQL = "";
	if(isset($_POST['selected'])){
		while (list ($key, $val) = each ($_POST['selected'])) { 
			if($val != ""){
				$selectedIds[] = trim($val);
				$inClauseSQL .= "'" . trim($val) . "',";
			}
		}
		$inClauseSQL = fnRemoveLastChar($inClauseSQL, ",");
	}
	//end selected id's
	
	//is row selected?
	function fnIsChecked($theId){
		global $selectedIds;
		if(in_array($theId, $selectedIds)){
			return "checked";
		}else{
			return "";
		}	
	}
	
	//App Object
	if($appGuid == ""){
		echo "invalid request (1)";
		exit();
	}else{
		
		//Only owner of app or Admins can see this app
		$objApp = new App($appGuid);
		$thisPage->pageTitle = $objApp->infoArray["name"];
	
		if($objApp->infoArray["ownerGuid"] == $guid || strtoupper($thisUser->infoArray["userType"]) == "ADMIN" ){
			$appName = $objApp->infoArray["name"];
		}else{
			echo "invalid request (2)";
			exit();
		}
		
	}		

	$headers = $thisPage->fnGetPageHeaders();	
	$bodyStart = $thisPage->fnGetBodyStart();
	$topNavBar = $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
	$bottomNavBar = $thisPage->fnGetBottomNavBar();
	$bodyEnd = $thisPage->fnGetBodyEnd();
	
	
	/////////////////////////////////////////////////////////////////////////////////
	//if we chose something from actions menu we must have at least one id selected...
	if(strlen($doWhat) > 3 || strtoupper($command) == "CONFIRMDELETE"){
		if(count($selectedIds) < 1){
			$bolPassed = false;
			$strMessage = "<br>Please select at least one checkboxes before selecting an operation from the actions menu.";
		}else{
			
			
			//if we selected removeFiles
			if(strtoupper($doWhat) == "REMOVE"){
				$command = "delete";
			}
			
			//if we confirmed the delete...
			if(strtoupper($command) == "CONFIRMDELETE"){

				//delete from database...
				$strSql = "DELETE FROM " . TBL_MAP_DATA . " WHERE appGuid = '" . $appGuid . "' ";
				$strSql .= " AND guid IN (" . $inClauseSQL . ")";
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
						
				//flag as deleted
				$bolDeleted = true;
				$bolDone = true;
				$strMessage = "Removed <b>" . count($selectedIds) . " items.</b>";
				$selectedIds = array();
			}	//done deleting..	
			
						
		}
	}
	//end doWhat / actionsMenu selection
	/////////////////////////////////////////////////////////////////////////////////
	
	//list vars
	$search = fnGetReqVal("searchInput", "Search...", $myRequestVars);
	if($search == "Nickname..." || $search == "Display name..." || $search == "Search...") $search = "";
	
	$scriptName = "maps.php";
	$recsPerPage = 50;
	$totalPages = 1;
	$currentPage = 1;
	$firstRec = 0;
	$lastRec = 0;
	$defaultSort = "M.locationName";
	$defaultUpDown = "ASC";
	$colCount = 6;

	//sort up / down
	$sortUpDown = fnGetReqVal("sortUpDown", $defaultUpDown, $myRequestVars);
		//if we clicked a column header
		$sortUpDown = fnGetReqVal("nextUpDown", $sortUpDown, $myRequestVars);
	//sort column
	$sortColumn = fnGetReqVal("sortColumn", "", $myRequestVars);
		//if we clicked a column header
		$sortColumn = fnGetReqVal("nextCol", $sortColumn, $myRequestVars);
			if($sortColumn == "") $sortColumn = $defaultSort;
	
	//sort colum may contain "I." if we sorted then came from the screens list...
	if(strpos($sortColumn, "I.") > -1 || strpos($sortColumn, "U.") > -1){
		$sortColumn = $defaultSort;
		$sortUpDown = $defaultUpDown;
	}
	
	//current page 	
	$currentPage = fnGetReqVal("currentPage", 1, $myRequestVars);
		//if we clicked next/prev page
		$currentPage = fnGetReqVal("nextPage", $currentPage, $myRequestVars);
			if(!is_numeric($currentPage)) $currentPage = 1;
		
	//WHERE CLAUSE
	$whereClause = " WHERE M.appGuid = '" . $appGuid . "'";
	$whereClause .= " AND M.status != 'Deleted' ";
	
	//if searching
	$searchHint = "";
	if( (strtoupper($search) != "ALL" && strtoupper($search) != "SEARCH..." && $search != "") ){
		if(strlen($search) == 1){ // clicked a letter for "starts with"
			$whereClause .= " AND M.locationName LIKE '" . $search . "%'";
		 	$searchHint = "Location Name starts with";
		}else{
			$whereClause .= " AND (M.type LIKE '%" . $search . "%' || M.locationName LIKE '%" . $search . "%' OR M.category LIKE '%" . $search . "%') ";
			 $searchHint = "Location or Type or Category";
		}
	}
			
	//querystring for links
	$qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
	$qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;
	
	
	
	//get total recs.
	$totalSql = "  SELECT Count(M.id) AS TotalRecs  ";
	$totalSql .= " FROM " . TBL_MAP_DATA . " AS M ";
	
	
	//append where
	$totalSql .= $whereClause;

	//get total count of records that meet search criteria
	$totalRecs = fnGetOneValue($totalSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
	
	
	
	
	//calculate firstRec
	$firstRec = ($currentPage - 1) * $recsPerPage;
		if($firstRec < 0) $firstRec = 0;
		
	//calculate total pages
	if($totalRecs > $recsPerPage) $totalPages = ceil($totalRecs / $recsPerPage);
	
	//re-calculate lastRec
	$lastRec = $currentPage * $recsPerPage;
	if($lastRec > $totalRecs) $lastRec = $totalRecs;
		
	//fetch
    $strSql = " SELECT M.guid, M.type, M.category, M.locationName, M.city, M.state, M.country, M.phone,  ";
	$strSql .= " M.latitude, M.longitude, M.linkImage "; 
	$strSql .= "FROM " . TBL_MAP_DATA . " AS M ";
	$strSql .= $whereClause;
	$strSql .= " ORDER BY " . $sortColumn . " " . $sortUpDown;
	$strSql .= " LIMIT " . $firstRec . "," . $recsPerPage;
	
	
	//shows sort arrow.
	$tmpSort = ($sortUpDown == "ASC") ? 'DESC' : 'ASC' ;
	
	//paging links
	$prevPageLink = "\n<a href='" . $scriptName . "?1=1" . $qVars . "&nextPage=" . ($currentPage - 1) . "' title='Previous Page' target='_self'>< Previous Page</a><span class='linkSpacer'>&nbsp;</span>";
	$nextPageLink = "\n<a href='" . $scriptName . "?1=1" . $qVars . "&nextPage=" . ($currentPage + 1) . "' title='Next Page' target='_self'>Next Page ></a><span class='linkSpacer'>&nbsp;</span>";
	if($firstRec < $recsPerPage) $prevPageLink = "";
	if(($firstRec + $recsPerPage) >= $totalRecs) $nextPageLink = "";
	
	//fix up search
	$tmpSearch = $search;
	if($search == "" || strtoupper($search) == "ALL") $search = "Search...";

?>

<?php echo $headers; ?>
<?php echo $bodyStart; ?>
<?php echo $topNavBar;?>


<script>
	function fnConfirmDelete(){
		document.forms[0].command.value = 'confirmDelete';
		document.forms[0].submit();	
	}	
	function fnCancelDelete(){
		document.forms[0].command.value = '';
		document.forms[0].submit();	
	}	
</script>
<style type="text/css">
	.season{
		width:30px;
		float:left;
	}
</style>

<input type="hidden" name="appGuid" id="appGuid" value="<?php echo $appGuid;?>">
<input type="hidden" name="recsPerPage" id="recsPerPage" value="<?php echo $recsPerPage;?>">
<input type="hidden" name="currentPage" id="currentPage" value="<?php echo $currentPage;?>">
<input type="hidden" name="totalPages" id="totalPages" value="<?php echo $totalPages;?>">
<input type="hidden" name="firstRec" id="firstRec" value="<?php echo $firstRec;?>">
<input type="hidden" name="lastRec" id="lastRec" value="<?php echo $lastRec;?>">
<input type="hidden" name="totalRecs" id="totalRecs" value="<?php echo $totalRecs;?>">
<input type="hidden" name="sortColumn" id="sortColumn" value="<?php echo $sortColumn;?>">
<input type="hidden" name="sortUpDown" id="sortUpDown" value="<?php echo $sortUpDown;?>">
<input type="hidden" name="command" id="command" value="">


<div class='content'>
        
    <fieldset class='colorLightBg'>
                   
        <p>
            <div style='float:left;'>

            </div>
                
            <div style='float:left'>
                <a href="../../bt_v15/bt_app/index.php?appGuid=<?php echo $appGuid;?>" title='App Home'>Application Home</a> 
              
               <h2>Map Utilities</h2>
                <p> Use Add Map Locations to add contacts to a map. When app user select a map pin, a screen with all of information about that location will be displayed for them. 
                
                <p><strong> Note: </strong>You can use these definitions in your app with the dataURL in various screens in your app. 
                The map locations you enter here will be dynamically generated into dataURL's. Cut and paste the following URL into the dataURL field: <p>
                		
                		&nbsp;&nbsp;&nbsp;<b>Display All Records on Map (Location Map):</b> <?php echo fnGetSecureURL(APP_URL)?>/wb_addons/maps/map_locations.php?appGuid=<?php echo $appGuid?><p>
                		
                		&nbsp;&nbsp;&nbsp;<b>Simple Menu list of Categories:</b> <?php echo fnGetSecureURL(APP_URL)?>/wb_addons/maps/lm_catMenu.php?appGuid=<?php echo $appGuid?><p>
                		
                		&nbsp;&nbsp;&nbsp;<b>Smug Location Menu with Categories:</b> <?php echo fnGetSecureURL(APP_URL)?>/wb_addons/maps/lm_catDisp.php?appGuid=<?php echo $appGuid?>&category=yourCategoryHere<p>

                		&nbsp;&nbsp;&nbsp;<b>Geocode Locations without Lat/Lng:</b> <a href="<?php echo fnGetSecureURL(APP_URL)?>/wb_addons/maps/sw_geocode.php?appGuid=<?php echo $appGuid?>">Click Here</a><p>

						&nbsp;<p>
            </div>
                   
            <div style='float:right;'>
                <div style='float:right;margin:0px;'>
                    &nbsp;
                    <input type='button' title="search" value="search" align='absmiddle' class="buttonSubmit" onClick="top.fnRefresh(document);return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                </div>
                <div style='float:right;margin:0px;'>
                    <input name='searchInput' id='searchInput' onFocus="top.fnClearSearch('Search...',this);" type='text' value="<?php echo fnFormOutput($search, true);?>" class='searchBox' style='margin:0px;display:inline;vertical-align:middle;overflow:hidden;' onkeyup="document.forms[0].currentPage.value='1';">
                </div>
           </div>
           <div style="clear:both;"></div>
        </p>

                
        <table cellspacing='0' cellpadding='0' style='width:99%;overflow:hidden;'>
            <tr>
                <script>top.fnWriteAlphabet(document, "<?php echo $search;?>");</script>
            </tr>
        </table>

        <table cellspacing='0' cellpadding='0' width="99%" style='margin-top:5px;'>
            
            <?php if( (strtoupper($search) != "ALL" && strtoupper($search) != "SEARCH..." && $search != "") || $status != ""){ //show message?>
            <tr>
                <td class='searchDiv' colspan='<?php echo $colCount;?>' style='padding-left:0px;'>
                    <div>
                        <span style='color:red;'><?php echo $searchHint;?>:</span> <?php echo fnFormOutput($search, true);?>
                        &nbsp;&nbsp;                              
                        <a href="maps.php?appGuid=<?php echo $appGuid;?>&search"><img src="../../images/arr_right.gif" alt='arrow'/>clear search</a>
                    </div>
                 </td>
            </tr>
            <?php } ?>

            <tr>
                
                <td nowrap style='padding-left:0px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.locationName');return false;">Location Name</a> <?php echo fnSortIcon("M.locationName", $tmpSort, $sortColumn); ?>
                    &nbsp;&nbsp;
                    <a href="map.php?appGuid=<?php echo $appGuid;?>&BT_mapId=0<?php echo $qVars;?>" style='color:blue;'>Add Map Location</a>
                    
                   <!-- 
                    &nbsp;|&nbsp;
                    <a href="map_upload.php?appGuid=<?php echo $appGuid;?>&BT_mapId=0<?php echo $qVars;?>" style='color:blue;'>Upload</a>
               -->
               
                </td>
                
                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.type');return false;">Type</a> <?php echo fnSortIcon("M.type", $tmpSort, $sortColumn); ?>
                </td>

                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.category');return false;">Category</a> <?php echo fnSortIcon("M.category", $tmpSort, $sortColumn); ?>
                </td>
                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.city');return false;">City</a> <?php echo fnSortIcon("M.city", $tmpSort, $sortColumn); ?>
                  </td>
                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>  
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.state');return false;">State</a> <?php echo fnSortIcon("M.state", $tmpSort, $sortColumn); ?>
                 </td>
                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>   
                    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.country');return false;">Country</a> <?php echo fnSortIcon("M.country", $tmpSort, $sortColumn); ?>
                </td>

                

                <td style='padding:0px;border-bottom:1px solid #999999;vertical-align:top;text-align:right;padding-bottom:10px;padding-right:5px;' >
                    <input id="checkAll" type='checkbox' style="width:12px;height:12px;margin:0px;display:inline;" onclick="top.fnCheckAll(self);">
                </td>

            </tr>
            
            <tr>
                <td colspan='<?php echo $colCount;?>'>
                    &nbsp;
                    
                    <div id="messageBox" style="display:block;">
                   <?php if(strtoupper($command) == "DELETE"){ ?>
                        <div class="errorDiv">
                            <br/>
                            <b>Delete selected items?</b>
                            <div style='padding-top:5px;'>
                                Are you sure you want to do this? This cannot be undone! When you
                                confirm this operation the selected items will be deleted and you will not be able to recover them.
                            </div>
                            <div style='padding-top:5px;'>
                                <a href="#" onclick="fnCancelDelete();return false;"><img src="../../images/arr_right.gif" alt='arrow'/>No, do not delete the selected items</a>
                            </div>
                            <div style='padding-top:5px;'>
                                <a href="#" onclick="fnConfirmDelete();return false;"><img src="../../images/arr_right.gif" alt='arrow'/>Yes, permanently delete the selected items</a>
                            </div>
                        </div>
                    <?php } ?>                                    

                    <?php if($strMessage != "" && $bolDone){ ?>
                        <div class='doneDiv'>
                            <?php echo $strMessage;?> 
                            <div style='padding-top:5px;'>
                                <a href="maps.php?1=1<?php echo $qVars;?>"><img src="../../images/arr_right.gif" alt='arrow'/>OK, hide this message</a>
                            </div>
                        </div>
                    <?php } ?>                     
                    
                    <?php if($strMessage != "" && !$bolDone){ ?>
                        <div class='errorDiv'>
                            <?php echo $strMessage;?>                                
                        </div>
                    <?php } ?> 
                    
                    
                                
                    </div>
                
                
                </td>
            </tr>
            
            <?php
                //data
                $numRows = 0;
                $cnt = 0;
                if($totalRecs > 0){
                    $res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
                    if($res){
                        $numRows = mysql_num_rows($res);
                        $cnt = 0;
                            while($row = mysql_fetch_array($res)){
                            $cnt++;
                                        
                            //style
                            $css = (($cnt % 2) == 0) ? "rowAlt" : "rowNormal" ;
                            
                                
                            $BT_mapId = $row['guid'];
                            $type = $row['type'];
                            $category = fnFormOutput($row['category']);
                            $locationName = fnFormOutput($row['locationName']);
                            if(strlen($locationName) > 30){
                                $locationName = substr($locationName, 0, 30) . "...";
                            }
                            $city = fnFormOutput($row['city']);
                            $postalCode = fnFormOutput($row['postalCode']);
                            $state = fnFormOutput($row['state']);
                            $country = fnFormOutput($row['country']);
                            $phone = fnFormOutput($row['phone']);
                            $email = fnFormOutput($row['email']);
                            $website = fnFormOutput($row['website']);
                            $linkImage = fnFormOutput($row['linkImage']);
                            $latitude = fnFormOutput($row['latitude']);
                            $longitude = fnFormOutput($row['longitude']);
                            
                            $locationText = "";
                            if(strlen($row["city"]) > 1){
                                $locationText = $row["city"];
                                if(strlen($state) > 1) $locationText .= ", " . $state;
                                if(strlen($country) > 1) $locationText .= ", " . $country;
                            }
							
							//truncate...
							if(strlen($locationText) > 50) $locationText = substr($locationText, 0, 50) . "...";
                            
                            //lat / lon warning
                            $noLatLon = "";
                            if(strlen($row["latitude"]) < 2 || strlen($row["longitude"]) < 2){
                                $noLatLon = "<span style='color:red;font-size:8pt;'> <i>No lat/lon</i></span>";
                            }
                            
                            // $qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
							// $qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;

                            $qVars .= "&BT_mapId=" . $BT_mapId;
                            $qVars .= "&locationName=" . $locationName;
                            $qVars .= "&latitude=" . $latitude;
                            $qVars .= "&longitude=" . $longitude;
                            $qVars .= "&type=" . $type;
                            $qVars .= "&category=" . $category;
                            $qVars .= "&address1=" . $address1;
                            $qVars .= "&address2=" . $address2;
                            $qVars .= "&city=" . $city;
                            $qVars .= "&state=" . $state;
                            $qVars .= "&postalCode=" . $postalCode;
                            $qVars .= "&country=" . $country;
                            $qVars .= "&phone=" . $phone;
                            $qVars .= "&email=" . $email;
                            $qVars .= "&website=" . $website;
                            $qVars .= "&linkImage=" . $linkImage;
                            
                            echo "\n\n<tr id='i_" . $BT_mapId . "' class='" . $css . "'>";
                                echo "\n<td class='data' style='padding-left:0px;'>";
                                echo "<a href='map.php?appGuid=" . $appGuid . "&BT_mapId=" . $BT_mapId . $qVars . "'>" . $locationName . "</a>";
                                echo "</td>";
                                echo "\n<td class='data' style='padding-left:10px;'>" . $type . "</td>";
                                echo "\n<td class='data' style='padding-left:10px;'>" . $category . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $city . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $state . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $country . "</td>";
                               // echo "\n<td class='data' style='padding-left:10px;'>" . $locationText . $noLatLon . "</td>";
                                
                                echo "\n<td class='data' style='padding:0px;padding-right:5px;text-align:right;'><input id='selected[]' name='selected[]' type='checkbox' style='height:12px;width:12px;margin:0px;' value='" . $BT_mapId . "' " . fnIsChecked($BT_mapId) . "></td>";
                            echo "\n</tr>";
                            
                            
                        }//end while
                    }//no res
                }//no records
    
            ?>

            <tr>
                <td colspan='<?php echo $colCount;?>'>&nbsp;</td>
            </tr>
    
                
                <td colspan='<?php echo $colCount;?>' style-'text-align:right;'>
                
                    <?php if($totalRecs > 0){?>
                       
                        <div style='padding:5px;float:right;'>
                            <select id='doWhat' name='doWhat' onChange="document.forms[0].submit();" style='vertical-align:middle;width:250px;' align='absmiddle'>
                                <option value="">&nbsp;Actions menu...</option>
                                <option value="remove">&nbsp;Remove (permanent)</option>
                            </select>
                        </div>
                        <div style='clear:both;'></div>
                        <div style='padding:5px;float:right;'>
                            <?php 
                                echo ($firstRec + 1) . " - " . $lastRec . " of " . $totalRecs;
                                if($totalRecs > $recsPerPage){
                                    echo "<span class='linkSpacer'>&nbsp;</span>";
                                    echo $prevPageLink . $nextPageLink;
                                }
                            ?>
                        </div>
                        <div style='clear:both;'></div>

                    <?php } ?>
                    
                </td>
            </tr>
        </table>


            


	</fieldset>
        


<?php echo $bottomNavBar;?>
</div>
<?php echo $bodyEnd; ?>
