<?php   require_once("../../config.php");

	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
		
	//User Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);

	//Page Object
	$thisPage = new Page();
	$thisPage->formEncType = "multipart/form-data";
	
	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$strMessage = "";
	$bolDone = false;
	$bolPassed = true;
	$bolDeleted = false;
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$appName = "";
	$status = "";
	$command = fnGetReqVal("command", "", $myRequestVars);
	$BT_contactId = fnGetReqVal("BT_contactId", "", $myRequestVars);

	//BT_contactId will be 0 if we are adding a new record...
	
	//App Object
	if($appGuid == "" || $BT_contactId == ""){
		echo "invalid request";
		exit();
	}else{
		
		//Only owner of app or Admins can see this app
		$objApp = new App($appGuid);
		$thisPage->pageTitle = $objApp->infoArray["name"];
	
		if($objApp->infoArray["ownerGuid"] == $guid || strtoupper($thisUser->infoArray["userType"]) == "ADMIN" ){
			$appName = $objApp->infoArray["name"];
		}else{
			echo "invalid request";
			exit();
		}
		
	}		

	$headers = $thisPage->fnGetPageHeaders();	
	$bodyStart = $thisPage->fnGetBodyStart();
	$topNavBar = $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
	$bottomNavBar = $thisPage->fnGetBottomNavBar();
	$bodyEnd = $thisPage->fnGetBodyEnd();
	
	
	//list vars
	$search = fnGetReqVal("searchInput", "Search...", $myRequestVars);
	$scriptName = "contact.php";
	$recsPerPage = 50;
	$totalPages = 1;
	$currentPage = 1;
	$firstRec = 0;
	$lastRec = 0;
	$defaultSort = "C.lastName";
	$defaultUpDown = "ASC";
	$colCount = 6;

	//sort up / down
	$sortUpDown = fnGetReqVal("sortUpDown", $defaultUpDown, $myRequestVars);
		//if we clicked a column header
		$sortUpDown = fnGetReqVal("nextUpDown", $sortUpDown, $myRequestVars);
	//sort column
	$sortColumn = fnGetReqVal("sortColumn", "", $myRequestVars);
		//if we clicked a column header
		$sortColumn = fnGetReqVal("nextCol", $sortColumn, $myRequestVars);
			if($sortColumn == "") $sortColumn = $defaultSort;
	
	//current page 	
	$currentPage = fnGetReqVal("currentPage", 1, $myRequestVars);
		//if we clicked next/prev page
		$currentPage = fnGetReqVal("nextPage", $currentPage, $myRequestVars);
			if(!is_numeric($currentPage)) $currentPage = 1;
		
	//querystring for links
	$qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
	$qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;
	
	////////////////////////////////////////
	//vars..
	$firstName = fnGetReqVal("firstName", "", $myRequestVars);
	$lastName = fnGetReqVal("lastName", "", $myRequestVars);
	$nickName = fnGetReqVal("nickName", "", $myRequestVars);
	$type = fnGetReqVal("type", "", $myRequestVars);
	$category = fnGetReqVal("category", "", $myRequestVars);
	$organization = fnGetReqVal("organization", "", $myRequestVars);
	$role = fnGetReqVal("role", "", $myRequestVars);
	$address1 = fnGetReqVal("address1", "", $myRequestVars);
	$address2 = fnGetReqVal("address2", "", $myRequestVars);
	$city = fnGetReqVal("city", "", $myRequestVars);
	$state = fnGetReqVal("state", "", $myRequestVars);
	$postalCode = fnGetReqVal("postalCode", "", $myRequestVars);
	$country = fnGetReqVal("country", "", $myRequestVars);
	$phone = fnGetReqVal("phone", "", $myRequestVars);
	$phone2 = fnGetReqVal("phone2", "", $myRequestVars);

	$email = fnGetReqVal("email", "", $myRequestVars);
	$linkImage = fnGetReqVal("linkImage", "", $myRequestVars);

	//########################################################################
	//form submit
	
	
	if($isFormPost){
		//Check to see if the first and last name fields are populated
		if(strlen($firstName || $organization) < 1){
			$bolPassed = false;
			$strMessage .= "<br />Organization Name or Last and First Name Required";
		}
		if(strlen($lastName || $organization) < 1){
			$bolPassed = false;
			$strMessage .= "<br /Organization Name or Last and First Name Required";
		}
		
		
		$strSql = "";
		//if passed...insert or update?
		if($bolPassed){
		
			if(strlen($BT_contactId) > 5){
				
			
				//update...
				$strSql .= "UPDATE " . TBL_CONTACT_DATA . " SET ";
				$strSql .= "firstName = '" . $firstName . "', ";
				$strSql .= "lastName = '" . $lastName . "', ";
				$strSql .= "nickName = '" . $nickName . "', ";
				$strSql .= "type = '" . $type . "', ";
				$strSql .= "category = '" . $category . "', ";
				$strSql .= "organization = '" . $organization . "', ";
				$strSql .= "role = '" . $role . "', ";
				$strSql .= "address1 = '" . $address1 . "', ";
				$strSql .= "address2 = '" . $address2 . "', ";
				$strSql .= "city = '" . $city . "', ";
				$strSql .= "state = '" . $state . "', ";
				$strSql .= "postalCode = '" . $postalCode . "', ";
				$strSql .= "phone = '" . $phone . "', ";
				$strSql .= "phone2 = '" . $phone2 . "', ";
				
				$strSql .= "linkImage = '" . $linkImage . "', ";
				$strSql .= "email = '" . $email . "' ";
				$strSql .= " WHERE appGuid = '" . $appGuid . "' AND guid = '" . $BT_contactId . "'";
				
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
				
				
				
				
			}else{
			
				//Inserting a new record into the table
				$BT_contactId = strtoupper(fnCreateGuid());
				$strSql = "INSERT INTO " . TBL_CONTACT_DATA . " (guid, appGuid, screenGuid, firstName, lastName, nickName, type, category, organization, role, address1, address2, ";
				$strSql .= "city, state, postalCode, country, phone, phone2, email, ";
				$strSql .= "status, linkImage, dateStampUTC, modifiedUTC) VALUES ( ";
				$strSql .= "'" . $BT_contactId . "', '" . $appGuid . "', '', '" . $firstName . "', '" . $lastName . "',  '" . $nickName . "','" . $type . "', '" . $category . "', '" . $organization . "', '" . $role . "', '" . $address1 . "', '" . $address2 . "', ";
				$strSql .= "'" . $city . "', '" . $state . "', '" . $postalCode . "', '" . $country . "', '" . $phone . "','" . $phone2 . "', '" . $email . "', ";
				$strSql .= "'active', '" . $linkImage . "','" . $dtNow . "', '" . $dtNow . "')";
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			}//end BT_contactId is greater than 5
		
			$bolDone = true;
		}//end bolPassed
		

	}//end if form post
	
	else{//the $ifFormPost is not true, so updating an existing record
	 
	
	
	
		//Updating an existing record
		if(strlen($BT_contactId) > 5){
	
			//fetch
			$strSql = " SELECT C.guid, C.firstName, C.lastName, C.nickName, C.type, C.category, C.organization, C.role, C.address1, C.address2, ";
			$strSql .= "C.city, C.state, C.postalCode, C.country, C.email, C.linkImage, C.phone, C.phone2 "; 
			$strSql .= "FROM " . TBL_CONTACT_DATA . " AS C ";
			$strSql .= " WHERE C.appGuid = '" . $appGuid . "' AND C.guid = '" . $BT_contactId . "'";
			$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			
			if($res){
				$numRows = mysql_num_rows($res);
				$cnt = 0;
				while($row = mysql_fetch_array($res)){
					$cnt++;
					
					//fill vars...
					$firstName = fnFormOutput($row["firstName"]);
					$lastName = fnFormOutput($row["lastName"]);
					$nickName = fnFormOutput($row["nickName"]);
					$type = fnFormOutput($row["type"]);
					$category = fnFormOutput($row["category"]);
					$organization = fnFormOutput($row["organization"]);
					$role = fnFormOutput($row["role"]);
					$address1 = fnFormOutput($row["address1"]);
					$address2 = fnFormOutput($row["address2"]);
					$city = fnFormOutput($row["city"]);
					$state = fnFormOutput($row["state"]);
					$postalCode = fnFormOutput($row["postalCode"]);
					$country = fnFormOutput($row["country"]);
					$phone = fnFormOutput($row["phone"]);
					$phone2 = fnFormOutput($row["phone2"]);
					$email = fnFormOutput($row["email"]);
					$linkImage = fnFormOutput($row["linkImage"]);
					
				}//end while loop
				
			}//end if results
			
		}//end BT_locationId > 5 
	
	}//isFormPost
	
	
	
	
	//fix up search
	$tmpSearch = $search;
	if($search == "" || strtoupper($search) == "ALL") $search = "Search...";

?>

<?php echo $headers; ?>
<?php echo $bodyStart; ?>
<?php echo $topNavBar;?>

<input type="hidden" name="appGuid" id="appGuid" value="<?php echo $appGuid;?>">
<input type="hidden" name="BT_contactId" id="BT_contactId" value="<?php echo $BT_contactId;?>">
<input type="hidden" name="recsPerPage" id="recsPerPage" value="<?php echo $recsPerPage;?>">
<input type="hidden" name="currentPage" id="currentPage" value="<?php echo $currentPage;?>">
<input type="hidden" name="totalPages" id="totalPages" value="<?php echo $totalPages;?>">
<input type="hidden" name="firstRec" id="firstRec" value="<?php echo $firstRec;?>">
<input type="hidden" name="lastRec" id="lastRec" value="<?php echo $lastRec;?>">
<input type="hidden" name="totalRecs" id="totalRecs" value="<?php echo $totalRecs;?>">
<input type="hidden" name="sortColumn" id="sortColumn" value="<?php echo $sortColumn;?>">
<input type="hidden" name="sortUpDown" id="sortUpDown" value="<?php echo $sortUpDown;?>">
<input type="hidden" name="command" id="command" value="">


<div class='content'>
        
    <fieldset class='colorLightBg'>
                   
        <p>
            <div style='float:left;'>

            </div>
                
            <div style='float:left'>
                
                <a href="contacts.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Back to Contacts</a> 
                &nbsp;|&nbsp;
                
                
                <a href="../../bt_v15/bt_app/index.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Application Home</a> 
                
            </div>
				
            <div style='padding-top:15px;'>
                <?php if(strlen($BT_contactId) < 5){ ?>
                    <h2>Add Contact</h2>
                <?php } else if($lastName == ""){ ?>
                <h2><?php echo $organization;?></h2>
                    
                   <?php }else{ ?>
                    <h2><?php echo $lastName . ", " . $firstName;?></h2>
                <?php } ?>
                <hr>
            </div>
    
            <?php if($strMessage != "" && !$bolDone){ ?>
                <div class='errorDiv'>
                    <?php echo $strMessage;?>                                
                </div>
            <?php } ?> 
            
            <?php if($bolDone){ ?>
                <div class='doneDiv'>
                    <b>Update Successful</b>. 
                  <!--   <div style='padding-top:5px;'>
                       <a href="contact.php?appGuid=<?php echo $appGuid . "&BT_contactId=" . $BT_contactId . $qVars;?>"><img src="../../images/arr_right.gif" alt='arrow'/>OK, hide this message</a>
                    </div>-->
                    <div style='padding-top:5px;'>
                        <a href='contacts.php?1=1<?php echo $qVars;?>'><img src="../../images/arr_right.gif">Back to Contacts</a>
                    </div>
                </div>
            <?php } ?>             
     
            <table>
                <tr>
                    <td style='vertical-align:top;'>
                    
                    
                       <div style='padding-top:10px;'>
                           <b>*First Name</b><br/>
                           <input type="text" name="firstName" id="firstName" value="<?php echo fnFormOutput($firstName);?>" maxlength="100"/>
                       </div>
    
                       <div style='padding-top:5px;'>
                            <b>*Last Name</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="lastName" id="lastName" value="<?php echo fnFormOutput($lastName);?>" maxlength="100"/>
                        </div>
                        
                        
                       <!-- <div style='padding-top:5px;'>
                            <b>Nickname or Screen Name</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="nickName" id="nickName" value="<?php /*echo fnFormOutput($nickName);*/?>" maxlength="100"/>
                        </div>-->
                        
                        
                        <div style='padding-top:5px;'>
                        	<b>*Organization</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="organization" id="organization" value="<?php echo fnFormOutput($organization);?>"  maxlength="100"/>
                        </div>
                        
                        <div style='padding-top:5px;'>
                        	<b>Role or Title</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="role" id="role" value="<?php echo fnFormOutput($role);?>"  maxlength="100"/>
                        </div>
                        
                        
                         <div style='padding-top:5px;'>
                            <b>Image Link</b> (include http://) <br/>
                            <input type="text" name="linkImage" id="linkImage" value="<?php echo fnFormOutput($linkImage);?>" maxlength="250"/>
                        </div>
    
    
   						 <p>*Either the First and Last Name <br />OR the Organization Name are required.</p>
                    </td>
                    
                    
                    <td style='vertical-align:top;padding-left:25px;white-space:nowrap;'>
                       <div style='padding-top:10px;'>
                            <b>Street Address</b><br/>
                            <input type="text" name="address1" id="address1" value="<?php echo fnFormOutput($address1);?>" maxlength="100"/>
                        </div>
    
                       <div style='padding-top:5px;'>
                            <b>City</b><br/>
                            <input type="text" name="city" id="city" value="<?php echo fnFormOutput($city);?>" maxlength="100"/>
                        </div>
    
                       <div style='padding-top:5px;'>
                            <b>State</b><br/>
                            <input type="text" name="state" id="state" value="<?php echo fnFormOutput($state);?>" maxlength="100"/>
                        </div>
    
                       <div style='padding-top:5px;'>
                            <b>Postal Code</b><br/>
                            <input type="text" name="postalCode" id="postalCode" value="<?php echo fnFormOutput($postalCode);?>" maxlength="100"/>
                        </div>
                        
                       <div style='padding-top:5px;'>
                            <b>Country</b><br/>
                            <input type="text" name="country" id="country" value="<?php echo fnFormOutput($country);?>" maxlength="100"/>
                        </div>
    
                    </td>
                    <td style='vertical-align:top;padding-left:25px;white-space:nowrap;'>
                    
                    <div style='padding-top:10px;'>
                            <b>Email</b><br/>
                            <input type="text" name="email" id="email" value="<?php echo fnFormOutput($email);?>" maxlength="100"/>
                        </div>
    
                       <div style='padding-top:5px;'>
                            <b>Phone</b> <br/>
                            <input type="text" name="phone" id="phone" value="<?php echo fnFormOutput($phone);?>" maxlength="100"/>
                        </div>
                        
                        <div style='padding-top:5px;'>
                            <b>Alternate Phone Number</b> <br/>
                            <input type="text" name="phone2" id="phone2" value="<?php echo fnFormOutput($phone2);?>" maxlength="100"/>
                        </div>
                    
                        <div style='padding-top:5px;'>
                            <b>Type</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="type" id="type" value="<?php echo fnFormOutput($type);?>" maxlength="100"/>
                        </div>
    
                        <div style='padding-top:5px;'>
                            <b>Category</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="category" id="category" value="<?php echo fnFormOutput($category);?>" maxlength="100"/>
                        </div>
                        
                       
    
                    
                        <div style='padding-top:5px;padding-bottom:10px;'>
                            <input type='button' id="submitButton" name="submitButton" title="submit" value="submit" align='absmiddle' class="buttonSubmit" onClick="document.forms[0].submit();return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                            <input type='button' id="cancelButton" name="cancelButton" title="cancel" value="cancel" align='absmiddle' class="buttonCancel" onClick="document.location.href='contacts.php?1=1<?php echo $qVars;?>';return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                        </div>
                        
                    </td>
                </tr>
            </table>


            
            </fieldset>
        
<?php echo $bottomNavBar;?>
</div>
<?php echo $bodyEnd; ?>
