<?php   require_once("../../config.php");

	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$filterBranchType = fnGetReqVal("filterBranchType", "", $myRequestVars);

	//clean up possible query formatting chars..
	$filterBranchType = str_replace("~", " ", $filterBranchType);
	$filterBranchType = str_replace("!", "&", $filterBranchType);
	
	//must have appGuid
	if($appGuid == ""){
		echo "invalid";
		exit();	
	}
	
	//outputs to app
	$JSON = "{\"childItems\":[";
	
	//WHERE CLAUSE
	$whereClause = " WHERE M.appGuid = '" . $appGuid . "' ";
	
	
	//fetch
	$strSql = " SELECT M.guid, M.type, M.category, M.locationName, M.address1, M.latitude, M.longitude, M.linkImage ";
	$strSql .= "FROM " . TBL_MAP_DATA . " AS M ";
	$strSql .= $whereClause;	
	
	$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
	if($res){
		$numRows = mysql_num_rows($res);
		$cnt = 0;
		while($row = mysql_fetch_array($res)){
			$cnt++;
			if(strlen($row["latitude"]) > 3 && strlen($row["longitude"]) > 3){
			
				//load screen object on details tap...
				$loadScreenObject = "{";
				$loadScreenObject .= "\"itemId\":\"" . $cnt . "-" . $row["guid"] . "\","; 
				$loadScreenObject .= "\"itemType\":\"BT_screen_map\", "; 
				$loadScreenObject .= "\"itemNickname\":\"" . $row["locationName"] . "\", ";
				$loadScreenObject .= "\"navBarTitleText\":\"Map: " . $row["locationName"] . "\", "; 
				$loadScreenObject .= "\"singleLocationDefaultZoom\":\"15\", "; 
				$loadScreenObject .= "\"defaultMapType\":\"hybrid\", "; 
				$loadScreenObject .= "\"childItems\": [{";
				$loadScreenObject .= "\"itemId\":\"CI" . $cnt . "-" . $row["guid"] . "\",";
				$loadScreenObject .= "\"itemType\":\"BT_mapLocation\", "; 
				$loadScreenObject .= "\"latitude\":\"" .  $row["latitude"] . "\", "; 
				$loadScreenObject .= "\"longitude\":\"" .  $row["longitude"] . "\", "; 
				$loadScreenObject .= "\"title\":\"" . $row["locationName"] . "\", ";
				$loadScreenObject .= "\"subTitle\":\"" . $row["locationName"] . "\", ";
				$loadScreenObject .= "\"pinColor\":\"green\", ";
				$loadScreenObject .= "\"dataURL\":\"" . APP_URL . "/wb_addons/maps/map_details.php?appGuid=" . $appGuid . "&mapGuid=" . $row["guid"] . "\"";  
				$loadScreenObject .= "}]";
				$loadScreenObject .= "}"; 			
				
				$title = $row["locationName"];
				$subTitle = $row["address1"];
//				if($row["state"] != "") $subTitle .= ", " . $row["state"];
//				if($row["country"] != "") $subTitle .= ", " . $row["country"];

				$JSON .= "{\"itemId\":\"" . $row["guid"] . "\", ";
				$JSON .= "\"itemType\":\"SW_loc_detail\", ";
				$JSON .= "\"itemNickname\":\"" . $row["locationName"] . "\", ";
				$JSON .= "\"iconName\":\"" . $row["linkImage"] . "\", ";
				$JSON .= "\"titleText\":\"" . $row["locationName"] . "\", "; 
				$JSON .= "\"descriptionText\":\"" . $row["address1"] . "\", ";
				$JSON .= "\"latitude\":\"" .  $row["latitude"] . "\", "; 
				$JSON .= "\"longitude\":\"" .  $row["longitude"] . "\", "; 
				$JSON .= "\"categoryText\":\"" .  $row["category"] . "\", "; 
				$JSON .= "\"subCategoryText\":\"" .  $row["type"] . "\", "; 
				$JSON .= "\"loadScreenObject\":" . $loadScreenObject . "}";
			
				//Don't print comma after last item..
				if($cnt < $numRows){
					$JSON .= ", ";
				}
			
			}//lat/lon
		}
	}					
	
	//cap json
	$JSON .= "\n]}";

	
	//output...
	echo $JSON;


?>

