<?php   require_once("../../config.php");

// http://apps.marianasgps.com/wb_addons/maps/map.php?appGuid=EA1B21805DC8337FC37CBF359&BT_mapId=SW001&searchInput=&appGuid=EA1B21805DC8337FC37CBF359&sortColumn=M.locationName&sortUpDown=ASC&currentPage=1


	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
		
	//User Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);

	//Page Object
	$thisPage = new Page();
	$thisPage->formEncType = "multipart/form-data";
	
	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$strMessage = "";
	$bolDone = false;
	$bolPassed = true;
	$bolDeleted = false;
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$appName = "";
	$status = "";
	$command = fnGetReqVal("command", "", $myRequestVars);
	$BT_mapId = fnGetReqVal("BT_mapId", "", $myRequestVars);

	//BT_mapId will be 0 if we are adding a new record...
	
	//App Object
	if($appGuid == "" || $BT_mapId == ""){
		echo "invalid request (1)";
		exit();
	}else{
		
		//Only owner of app or Admins can see this app
		$objApp = new App($appGuid);
		$thisPage->pageTitle = $objApp->infoArray["name"];
	
		if($objApp->infoArray["ownerGuid"] == $guid || strtoupper($thisUser->infoArray["userType"]) == "ADMIN" ){
			$appName = $objApp->infoArray["name"];
		}else{
			echo "invalid request (2)";
			exit();
		}
		
	}		

	$headers = $thisPage->fnGetPageHeaders();	
	$bodyStart = $thisPage->fnGetBodyStart();
	$topNavBar = $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
	$bottomNavBar = $thisPage->fnGetBottomNavBar();
	$bodyEnd = $thisPage->fnGetBodyEnd();
	
	//list vars
	$search = fnGetReqVal("searchInput", "Search...", $myRequestVars);
	$scriptName = "map.php";
	$recsPerPage = 50;
	$totalPages = 1;
	$currentPage = 1;
	$firstRec = 0;
	$lastRec = 0;
	$defaultSort = "M.locationName";
	$defaultUpDown = "ASC";
	$colCount = 5;

	//sort up / down
	$sortUpDown = fnGetReqVal("sortUpDown", $defaultUpDown, $myRequestVars);
		//if we clicked a column header
		$sortUpDown = fnGetReqVal("nextUpDown", $sortUpDown, $myRequestVars);
	//sort column
	$sortColumn = fnGetReqVal("sortColumn", "", $myRequestVars);
		//if we clicked a column header
		$sortColumn = fnGetReqVal("nextCol", $sortColumn, $myRequestVars);
			if($sortColumn == "") $sortColumn = $defaultSort;
	
	//current page 	
	$currentPage = fnGetReqVal("currentPage", 1, $myRequestVars);
		//if we clicked next/prev page
		$currentPage = fnGetReqVal("nextPage", $currentPage, $myRequestVars);
			if(!is_numeric($currentPage)) $currentPage = 1;
		
	//querystring for links
	$qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
	$qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;
	
	////////////////////////////////////////
	//vars..
	$type = fnGetReqVal("type", "", $myRequestVars);
	$category = fnGetReqVal("category", "", $myRequestVars);
	$locationName = fnGetReqVal("locationName", "", $myRequestVars);
	$address1 = fnGetReqVal("address1", "", $myRequestVars);
	$address2 = fnGetReqVal("address2", "", $myRequestVars);
	$city = fnGetReqVal("city", "", $myRequestVars);
	$state = fnGetReqVal("state", "", $myRequestVars);
	$postalCode = fnGetReqVal("postalCode", "", $myRequestVars);
	$country = fnGetReqVal("country", "", $myRequestVars);
	$latitude = fnGetReqVal("latitude", "", $myRequestVars);
	$longitude = fnGetReqVal("longitude", "", $myRequestVars);
	$phone = fnGetReqVal("phone", "", $myRequestVars);
	$email = fnGetReqVal("email", "", $myRequestVars);
	$website = fnGetReqVal("website", "", $myRequestVars);
	$linkImage = fnGetReqVal("linkImage", "", $myRequestVars);
	
	//########################################################################
	//form submit
	if($isFormPost){

		
		if(strlen($locationName) < 1){
			$bolPassed = false;
			$strMessage .= "<br />Location Name Required";
		}

		if(strlen($latitude) > 0){
			if(!is_numeric($latitude)){
				$bolPassed = false;
				$strMessage .= "<br>Numbers only for latitude";
			}
		}
		if(strlen($longitude) > 0){
			if(!is_numeric($longitude)){
				$bolPassed = false;
				$strMessage .= "<br>Numbers only for longitude";
			}
		}
		
		//if passed...insert or update?
		if($bolPassed){
		
		
			if(strlen($BT_mapId) > 5){
				
				//update...
				$strSql = "UPDATE " . TBL_MAP_DATA . " SET ";
				$strSql .= "type = '" . $type . "', ";
				$strSql .= "category = '" . $category . "', ";
				$strSql .= "locationName = '" . $locationName . "', ";
				$strSql .= "address1 = '" . $address1 . "', ";
				$strSql .= "address2 = '" . $address2 . "', ";
				$strSql .= "city = '" . $city . "', ";
				$strSql .= "state = '" . $state . "', ";
				$strSql .= "postalCode = '" . $postalCode . "', ";
				$strSql .= "country = '" . $country . "', ";
				$strSql .= "latitude = '" . $latitude . "', ";
				$strSql .= "longitude = '" . $longitude . "', ";
				$strSql .= "phone = '" . $phone . "', ";
				$strSql .= "email = '" . $email . "', ";
				$strSql .= "linkImage = '" . $linkImage . "', ";
				$strSql .= "website = '" . $website . "' ";
				$strSql .= " WHERE appGuid = '" . $appGuid . "' AND guid = '" . $BT_mapId . "'";
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
				
				
				
			}else{
			
				//insert...
				$BT_mapId = strtoupper(fnCreateGuid());
				$strSql = "INSERT INTO " . TBL_MAP_DATA . " (guid, appGuid, screenGuid, type, category, locationName, address1, address2, ";
				$strSql .= "city, state, postalCode, country, latitude, longitude, phone, email, linkImage, website, ";
			
				$strSql .= "status, dateStampUTC, modifiedUTC) VALUES ( ";
				$strSql .= "'" . $BT_mapId . "', '" . $appGuid . "','', '" . $type . "', '" . $category . "','" . $locationName . "', '" . $address1 . "', ";
				$strSql .= "'" . $address2 . "', '" . $city . "', '" . $state . "', '" . $postalCode . "', '" . $country . "', '" . $latitude . "', '" . $longitude . "', ";
				$strSql .= "'" . $phone . "', '" . $email . "', '" . $linkImage . "','" . $website . "', ";
				$strSql .= " 'active', '" . $dtNow . "', '" . $dtNow . "')";
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			
			}
			
			//flag
			$bolDone = true;
		
		}//bolPassed

	}else{
	
		//if we are not adding BT_mapId will be > 5
		if(strlen($BT_mapId) > 5){
	
			//fetch
			$strSql = " SELECT M.guid, M.type, M.category, M.locationName, M.address1, M.address2, ";
			$strSql .= "M.city, M.state, M.postalCode, M.country, M.latitude, M.longitude, M.phone, M.email, M.linkImage, M.website ";
			$strSql .= "FROM " . TBL_MAP_DATA . " AS M ";
			$strSql .= " WHERE M.appGuid = '" . $appGuid . "' AND M.guid = '" . $BT_mapId . "'";
			
			
			$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			if($res){
				$numRows = mysql_num_rows($res);
				$cnt = 0;
				while($row = mysql_fetch_array($res)){
					$cnt++;
					
					//fill vars...
					$type = fnFormOutput($row["type"]);
					$category = fnFormOutput($row["category"]);
					$locationName = fnFormOutput($row["locationName"]);
					$address1 = fnFormOutput($row["address1"]);
					$address2 = fnFormOutput($row["address2"]);
					$city = fnFormOutput($row["city"]);
					$state = fnFormOutput($row["state"]);
					$postalCode = fnFormOutput($row["postalCode"]);
					$country = fnFormOutput($row["country"]);
					$latitude = fnFormOutput($row["latitude"]);
					$longitude = fnFormOutput($row["longitude"]);
					$linkImage = fnFormOutput($row["linkImage"]);
					$phone = fnFormOutput($row["phone"]);
					$email = fnFormOutput($row["email"]);
					$website = fnFormOutput($row["website"]);
					
				}
			}
		}//BT_mapId > 5 (not adding)
	}//isFormPost
	
	
	//fix up search
	$tmpSearch = $search;
	if($search == "" || strtoupper($search) == "ALL") $search = "Search...";







?>

<?php echo $headers; ?>
<?php echo $bodyStart; ?>
<?php echo $topNavBar;?>

<input type="hidden" name="appGuid" id="appGuid" value="<?php echo $appGuid;?>">
<input type="hidden" name="BT_mapId" id="BT_mapId" value="<?php echo $BT_mapId;?>">
<input type="hidden" name="recsPerPage" id="recsPerPage" value="<?php echo $recsPerPage;?>">
<input type="hidden" name="currentPage" id="currentPage" value="<?php echo $currentPage;?>">
<input type="hidden" name="totalPages" id="totalPages" value="<?php echo $totalPages;?>">
<input type="hidden" name="firstRec" id="firstRec" value="<?php echo $firstRec;?>">
<input type="hidden" name="lastRec" id="lastRec" value="<?php echo $lastRec;?>">
<input type="hidden" name="totalRecs" id="totalRecs" value="<?php echo $totalRecs;?>">
<input type="hidden" name="sortColumn" id="sortColumn" value="<?php echo $sortColumn;?>">
<input type="hidden" name="sortUpDown" id="sortUpDown" value="<?php echo $sortUpDown;?>">
<input type="hidden" name="command" id="command" value="">


<div class='content'>
        
    <fieldset class='colorLightBg'>
                   
        <p>
            <div style='float:left;'>

            </div>
                
            <div style='float:left'>
                 <a href="../../bt_v15/bt_app/index.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Application Home</a> 
                &nbsp;&nbsp;|&nbsp;&nbsp;
                <a href="maps.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Back to Map Locations</a> 
                      
            </div>

            <div style='padding-top:15px;'>
                <?php if(strlen($BT_mapId) < 5){ ?>
                    <h2>Add Map Location</h2>
                <?php } else { ?>
                    <h2><?php echo $locationName;?></h2>
                <?php } ?>
                <hr>
            </div>

            <?php if($strMessage != "" && !$bolDone){ ?>
                <div class='errorDiv'>
                    <?php echo $strMessage;?>                                
                </div>
            <?php } ?> 
            
            <?php if($bolDone){ ?>
                <div class='doneDiv'>
                    <b>Update Successful</b>. 
             <!--       <div style='padding-top:5px;'>
                        <a href="map.php?appGuid=<?php echo $appGuid . "&BT_mapId=" . $BT_mapId . $qVars;?>"><img src="../../images/arr_right.gif" alt='arrow'/>OK, hide this message</a>
                    </div> -->
                    <div style='padding-top:5px;'>
                        <a href="maps.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Back to Map Locations</a> 
                    </div>
                </div>
            <?php } ?>             


            <table>
                <tr>
                    <td style='vertical-align:top;'>
                       
                       
                       <div style='padding-top:5px;'>
                         <b>Location Name</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="locationName" id="locationName" value="<?php echo fnFormOutput($locationName);?>" maxlength="100"/>
                        </div>
                       
                        <div style='padding-top:16px;'>
                             <br />
<img src="../../images/arr_right.gif"><a href="http://itouchmap.com/latlong.html" target="_blank"><b>Find Latitude and Longitude</b></a>
                      </div>
                      
                       <div style='padding-top:5px;'>
                       
                            <b>Latitude</b><br/>
                            <input type="text" name="latitude" id="latitude" value="<?php echo fnFormOutput($latitude);?>" maxlength="100"/>
                        </div>

                       <div style='padding-top:5px;'>
                            <b>Longitude</b> <br/>
                            <input type="text" name="longitude" id="longitude" value="<?php echo fnFormOutput($longitude);?>" maxlength="100"/>
                        </div>
                        
                        
                        
                        <div style='padding-top:5px;'>
                           <b>Type </b><br/>
                           <input type="text" name="type" id="type" value="<?php echo fnFormOutput($type);?>" maxlength="100"/>
                       </div>
 						<div style='padding-top:5px;'>
                          
                          <b>Category</b><br/>
                           <input type="text" name="category" id="category" value="<?php echo fnFormOutput($category);?>" maxlength="100"/>
                       </div>
                        </td>
                       
                       
                        <td style='vertical-align:top;padding-left:25px;white-space:nowrap;'>
                     	
                        <div style='padding-top:5px;'>
                            <b>Address 1</b><br/>
                            <input type="text" name="address1" id="address1" value="<?php echo fnFormOutput($address1);?>" maxlength="100"/>
                        </div>

                       <div style='padding-top:5px;'>
                            <b>Address 2</b><br/>
                            <input type="text" name="address2" id="address2" value="<?php echo fnFormOutput($address2);?>" maxlength="100"/>
                        </div>

                       <div style='padding-top:5px;'>
                            <b>City</b><br/>
                            <input type="text" name="city" id="city" value="<?php echo fnFormOutput($city);?>" maxlength="100"/>
                        </div>

                       <div style='padding-top:5px;'>
                            <b>State</b><br/>
                            <input type="text" name="state" id="state" value="<?php echo fnFormOutput($state);?>" maxlength="100"/>
                        </div>

                       <div style='padding-top:5px;'>
                            <b>Postal Code</b><br/>
                            <input type="text" name="postalCode" id="postalCode" value="<?php echo fnFormOutput($postalCode);?>" maxlength="100"/>
                        </div>
                        
                       <div style='padding-top:5px;'>
                            <b>Country</b><br/>
                            <input type="text" name="country" id="country" value="<?php echo fnFormOutput($country);?>" maxlength="100"/>
                        </div>
                        

                    </td>
                    <td style='vertical-align:top;padding-left:25px;white-space:nowrap;'>
                    
                       <div style='padding-top:5px;'>
                            <b>Phone</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="phone" id="phone" value="<?php echo fnFormOutput($phone);?>" maxlength="100"/>
                        </div>
                       
                        <div style='padding-top:10px;'>
                            <b>Email</b>  <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="email" id="email" value="<?php echo fnFormOutput($email);?>" maxlength="100"/>
                        </div>
                       
                        <div style='padding-top:10px;'>
                            <b>Website</b> (include: "http://")<span style='font-weight:normal;'></span><br/>
                            <input type="text" name="website" id="website" value="<?php echo fnFormOutput($website);?>" maxlength="200"/>
                        </div>
                        
                        <div style='padding-top:10px;'>
                            <b>Link to Image</b> (include: "http://")<span style='font-weight:normal;'></span><br/>
                            <input type="text" name="linkImage" id="linkImage" value="<?php echo fnFormOutput($linkImage);?>" maxlength="100"/>
                        </div>
                        
                      

                       
                        
                        
                        <div style='padding-top:5px;padding-bottom:10px;'>
                            <input type='button' id="submitButton" name="submitButton" title="submit" value="submit" align='absmiddle' class="buttonSubmit" onClick="document.forms[0].submit();return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                            <input type='button' id="cancelButton" name="cancelButton" title="cancel" value="cancel" align='absmiddle' class="buttonCancel" onClick="document.location.href='maps.php?1=1<?php echo $qVars;?>';return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                        </div>
                    </td>
                </tr>
            </table>


        
        </fieldset>


<?php echo $bottomNavBar;?>
</div>
<?php echo $bodyEnd; ?>
