<?php   require_once("../../config.php");

	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$mapGuid = fnGetReqVal("mapGuid", "", $myRequestVars);



	//must have appGuid
	if($appGuid == "" || $mapGuid == ""){
		echo "invalid";
		exit();	
	}
	
	//if we are not adding BT_mapId will be > 5
	if(strlen($mapGuid) > 5){

		//fetch
		$strSql = " SELECT M.guid, M.type, M.category, M.locationName, M.address1, M.address2, ";
		$strSql .= "M.city, M.state, M.postalCode, M.postalCode, M.country, M.latitude, M.longitude, M.phone, M.email, M.linkImage, M.website ";
		
		$strSql .= "FROM " . TBL_MAP_DATA . " AS M ";
		$strSql .= " WHERE M.appGuid = '" . $appGuid . "' AND M.guid = '" . $mapGuid . "'";
		$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
		if($res){
			$numRows = mysql_num_rows($res);
			$cnt = 0;
			while($row = mysql_fetch_array($res)){
				$cnt++;
				
				//fill vars...
				$type = fnFormOutput($row["type"]);
				$category = fnFormOutput($row["category"]);
				$locationName = fnFormOutput($row["locationName"]);
				$address1 = fnFormOutput($row["address1"]);
				$address2 = fnFormOutput($row["address2"]);
				$city = fnFormOutput($row["city"]);
				$state = fnFormOutput($row["state"]);
				$postalCode = fnFormOutput($row["postalCode"]);
				$country = fnFormOutput($row["country"]);
				$latitude = fnFormOutput($row["latitude"]);
				$longitude = fnFormOutput($row["longitude"]);
				$phone = fnFormOutput($row["phone"]);
				$email = fnFormOutput($row["email"]);
				$linkImage = fnFormOutput($row["linkImage"]);
				$website = fnFormOutput($row["website"]);
				
				
			}
		}
	}//mapGuid > 5
	
	
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=2.0; user-scalable=1;"/>
		<meta name="format-detection" content="telephone=no">

    	<style type="text/css">
			/*
				dark gray:
				color: rgb(46,55,68);
				blue gray:
				color: rgb(76,86,108);
			*/
			
			
			html,body{
				font-family:Helvetica;
				-webkit-user-select: none;
				-webkit-touch-callout: none;        
				color:#000000;
				background:#FFFFFF;
				/*
					background:#C8C8C8 url(../images/bg_stripes.png);
					Remove this comment to use the .png stripes background. Do this if the iPhone is not
					adding it's own stripes background.
				*/
			}
			body > *[selected="true"] {
    			display: block;
			}
			h1{
				color:#039;
				font: bold 22px Helvetica;
				text-shadow: #fff 0 1px 0;
				top-margin:10px;
				border-bottom:3px double #039;
				border-top: 3px double #039;
				font-size:1.5em;
				
				padding:5px;
				text-align:center;
				vertical-align::middle;
			}
			h2{
				color: #096;
				font: normal 18px Helvetica;
				text-shadow: #fff 0 1px 0;
				margin:0px;
			}
			h3{
				color: rgb(76,86,108);
				font: bold 18px Helvetica;
				text-shadow: #fff 0 1px 0;
				margin:0px;
			}
			
			p{
				color: rgb(46,55,68);
				font: normal 14px Helvetica;
				margin:0px;
				text-decoration:none;
			}
			
			hr{
				color:#36C;
				
				}

			ul{
				padding:0px;
				margin-left:auto;
				margin-right:auto;
			}
			ul li{
				font-size: 1.2em;
				font-weight:bold;
				vertical-align:middle;
				padding:10px;
				display:block;
				width: 100%;
				margin-left:auto;
				margin-right:auto;
				color:  #FFF;
				background: #396;
				border: 1px solid rgb(180,180,180);
				text-align: center;
				-webkit-border-radius: 8px;
				-webkit-box-sizing: border-box;
			}
			
            
    </style>
    
    
    </head>
	
	<body style='background-color:transparent;padding:5px;font-size:10pt;'>
		
		
        <div align="center">
             <?php if($linkImage !=""){	?>
             <img src="<?php echo $linkImage ?>" style="max-width:100%; max-height: 70px;margin-left:auto;margin-right:auto; margin-top:5px;margin-botton:5px;"/>
             
             <?php } ?>
           </div>
        
        <div>
	    <h1><?php echo $locationName;?></h1>
          <?php
				
					echo "<h2>";
						if($type != "") echo $type . "</br>";
						if($category != "") echo $category . "<br>";
					
					echo "</h2>";
				
			?>
		
        </div>
        
        <div style='margin-top:15px;'>
            <h3 style="clear:both;margin:2px;">Contact Information:</h3>
            <hr />
            
			<ul>
            <?php if($phone != ""){ ?>
            	<li onclick="document.location.href='tel:<?php echo $phone;?>';">Call: <?php echo $phone;?></li>
            <?php }else { ?>
				<li><i>Phone not availalbe</i>
            <?php } ?>
            </ul> 
            
           <ul>
  		<?php  if($website != ""){  ?>
        
        
      		<li onclick="document.location.href='<?php echo $website;?>';"><?php echo $website;?></li>
  		
		<?php } ?>
  </ul>
			
            <ul>
			<?php if($email != ""){ ?>
            		<li onclick="document.location.href='mailto:<?php echo $email;?>';"><?php echo $email;?></li>
				
            <?php } ?>
			</ul>
            
      </div>
        
		<?php if($address1 != ""){ ?>
		<div style='margin-top:15px;'>
			<h3>Address and Directions
            </h3>
            <hr/>
            <p>
                <?php
                    
                    if($address1 != "") echo $address1;
                    if($address2 != "") echo ", " . $address2;
                    if($city != "") echo ", " . $city;
                    if($state != "") echo ", " . $state;
                    if($postalCode != "") echo " " . $postalCode;
                    if($country != "") echo ", " . $country;

                ?>
            </p>
            <?php if($address1 != ""){ ?>
            <ul>
                <li onclick="document.location.href='http://maps.google.com/maps?q=<?php echo $address1 . "+" . $city . "+" . $state . "+" . $postalCode;?>';">Driving Directions</li>
            </ul> 
       <?php } ?>
        </div>
       <?php } ?>
       
       
            
            
        
       
            
            
        </div>
        
        
	</body>

</html>








