<?php   require_once("../../config.php");
		require_once("../../includes/zip.php");

	//////////////////////////////////////////////
	//											//
	//  At the moment, No API Key is needed.	//
	//  provisions are for future/commercial	//
	//  use.  You never know.					//
	//											//
	//  No Google API Key? Register for one.	//
	//  https://code.google.com/apis/console/	//
	//											//
	$googleAPIKey = "YourGoogleAPIKey";			//
	//////////////////////////////////////////////
	//
	// Google places certain restrictions on the use of their data.
	//
	// More information can be found at https://developers.google.com/maps/terms#section_10_12
	//
	//
	
	class swGeoObject {
		public $swMapId;
		public $swLat;
		public $swLng;
	}

	function sw_geoString($string) {
		$string = str_replace (" ", "+", urlencode($string));
		if ($googleAPIKey == "YourGoogleAPIKey") {
			$details_url = "http://maps.googleapis.com/maps/api/geocode/json?address=" . $string . "&sensor=false";
		} else {
			$details_url = "https://maps.googleapis.com/maps/api/geocode/json?address=" . $string . "&sensor=false" . "&key=" . $googleAPIKey;
		}
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $details_url);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$response = json_decode(curl_exec($ch), true);
		if ($response['status'] != 'OK') {
			return null;
		}
		$geometry = $response['results'][0]['geometry'];
		$longitude = $geometry['location']['lat'];
    	$latitude = $geometry['location']['lng'];
	    $array = array(
    	    'latitude' => $geometry['location']['lng'],
        	'longitude' => $geometry['location']['lat'],
	        'location_type' => $geometry['location_type'],
    	);
		return $array;
	}


	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
		
	//User Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);

	//Page Object
	$thisPage = new Page();
	$thisPage->formEncType = "multipart/form-data";
	
	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$strMessage = "";
	$bolDone = false;
	$bolPassed = true;
	$bolGeocoded = false;
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$appName = "";
	$status = "";
	$BT_mapId = fnGetReqVal("BT_mapId", "", $myRequestVars);
	$command = fnGetReqVal("command", "", $myRequestVars);
	$doWhat = fnGetReqVal("doWhat", "", $myRequestVars);
	$smugResults = array();
	$arr = array();

	///////////////////////////////////////////////////////////////
	//selected id's
	$selectedIds = array();
	$inClauseSQL = "";
	if(isset($_POST['selected'])){
		while (list ($key, $val) = each ($_POST['selected'])) { 
			if($val != ""){
				$selectedIds[] = trim($val);
				$inClauseSQL .= "'" . trim($val) . "',";
				$recList .= trim($val) . ",";
			}
		}
		$inClauseSQL = fnRemoveLastChar($inClauseSQL, ",");
		$recList = fnRemoveLastChar($recList, ",");
	}
	//end selected id's
	
	//is row selected?
	function fnIsChecked($theId){
		global $selectedIds;
		if(in_array($theId, $selectedIds)){
			return "checked";
		}else{
			return "";
		}	
	}
	
	//App Object
	if($appGuid == ""){
		echo "invalid request (1)";
		exit();
	}else{
		
		//Only owner of app or Admins can see this app
		$objApp = new App($appGuid);
		$thisPage->pageTitle = $objApp->infoArray["name"];
	
		if($objApp->infoArray["ownerGuid"] == $guid || strtoupper($thisUser->infoArray["userType"]) == "ADMIN" ){
			$appName = $objApp->infoArray["name"];
		}else{
			echo "invalid request (2)";
			exit();
		}
		
	}		

	$headers = $thisPage->fnGetPageHeaders();	
	$bodyStart = $thisPage->fnGetBodyStart();
	$topNavBar = $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
	$bottomNavBar = $thisPage->fnGetBottomNavBar();
	$bodyEnd = $thisPage->fnGetBodyEnd();
	
	/////////////////////////////////////////////////////////////////////////////////
	//if we chose something from actions menu we must have at least one id selected...
	if(strtoupper($command) == "CONFIRMGEOCODE"){
		
		if(count($selectedIds) < 1){
			
			$bolPassed = false;
			$strMessage = "<br>Please select at least one checkboxes before selecting an operation from the actions menu.";
		
		}else{
			
			  
			  // Split it so we can access each record
			  $arr = explode(",", $recList);
			  foreach ($arr as $rec) {
				  
				  // Loop through the selected records, one at a time
				  trim($rec, "'");
				  // Get the Address, City, State, Zip, Country, etc... from the record
				  $latlngSql = " SELECT * FROM " . TBL_MAP_DATA . " AS M WHERE M.guid = '" . $rec . "'";
				  $res = fnDbGetResult($latlngSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
				  if($res){
					  $cnt = 0;
					  $rowcount = mysql_num_rows($res);
					  while($row = mysql_fetch_array($res)) {
				  
						  $address1 = fnFormOutput($row['address1']);
						  $city = fnFormOutput($row['city']);
						  $state = fnFormOutput($row['state']);
						  $postalCode = fnFormOutput($row['postalCode']);
						  $country = fnFormOutput($row['country']);
						  
						  // assemble the address as 'locationText'
						  if(strlen($address1) > 1){
							  $locationText = $address1;
							  $hasAddress = 1;
							  if(strlen($city) > 1) {
								  $locationText .= ", " . $city;
								  $hasCity = 1;
							  }
							  if(strlen($state) > 1) {
								  $locationText .= ", " . $state;
								  $hasState = 1;
							  }
							  if(strlen($postalCode) > 1) {
								  $locationText .= ", " . $postalCode;
								  $hasPostalCode = 1;
							  }
							  if(strlen($country) > 1) {
								  $locationText .= ", " . $country;
								  $hasCountry = 1;
							  }
						  }
					  
						  // geocode the locationText string, obtain Lat/Lng
						  $swResult = sw_geoString($locationText);
						  $latitude = $swResult['latitude'];
						  $longitude = $swResult['longitude'];
						  
						  if (!$latitude == "") {
							  $geoObj = new swGeoObject();
							  $geoObj -> swMapId = $rec; // setswMapId("'" . $BT_mapId . "'"); 
							  $geoObj -> swLat = $latitude; // setswLat($latitude);
							  $geoObj -> swLng = $longitude; // setswLng($longitude);
							  array_push($smugResults, $geoObj);
						  }
					  }
				  }//res...


				  foreach($smugResults as $val) {
					  $newLat = $val->swLat;
					  $newLng = $val->swLng;
					  $newMap = $val->swMapId;
					  $updSql = "UPDATE " . APP_DB_NAME . "." . TBL_MAP_DATA . " SET latitude = '" . $newLat . "', longitude = '" . $newLng . "' WHERE " . TBL_MAP_DATA . ".guid = '" . $newMap . "'";
					  if (($newLat) && ($newLng)) {
						  fnExecuteNonQuery($updSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
						  usleep(50000);
					  }
				  }
			  
				  //flag as done...
				  $bolGeocoded = true;
				  $bolDone = true;
				  $doWhat = "";
				  $strMessage = "Geocoded <b>" . count($selectedIds) . " item(s).</b>";
				
				} //for each...
		} // if(count($selectedIds) < 1)
	}  //end doWhat / actionsMenu selection
	//////////////////////////////////////////////////////////////////////////////////////////

	//list vars
	$search = fnGetReqVal("searchInput", "Search...", $myRequestVars);
	if($search == "Nickname..." || $search == "Display name..." || $search == "Search...") $search = "";
	
	$scriptName = "sw_test.php";
	$recsPerPage = 50;
	$totalPages = 1;
	$currentPage = 1;
	$firstRec = 0;
	$lastRec = 0;
	$defaultSort = "M.locationName";
	$defaultUpDown = "ASC";
	$colCount = 8;

	//sort up / down
	$sortUpDown = fnGetReqVal("sortUpDown", $defaultUpDown, $myRequestVars);
		//if we clicked a column header
		$sortUpDown = fnGetReqVal("nextUpDown", $sortUpDown, $myRequestVars);
	//sort column
	$sortColumn = fnGetReqVal("sortColumn", "", $myRequestVars);
		//if we clicked a column header
		$sortColumn = fnGetReqVal("nextCol", $sortColumn, $myRequestVars);
			if($sortColumn == "") $sortColumn = $defaultSort;
	
	//sort colum may contain "I." if we sorted then came from the screens list...
	if(strpos($sortColumn, "I.") > -1 || strpos($sortColumn, "U.") > -1){
		$sortColumn = $defaultSort;
		$sortUpDown = $defaultUpDown;
	}
	
	//current page 	
	$currentPage = fnGetReqVal("currentPage", 1, $myRequestVars);
		//if we clicked next/prev page
		$currentPage = fnGetReqVal("nextPage", $currentPage, $myRequestVars);
			if(!is_numeric($currentPage)) $currentPage = 1;
		
	//WHERE CLAUSE
	$whereClause = " WHERE M.latitude is null or M.latitude = ''";
	$whereClause .= " AND M.status != 'Deleted' ";
	
	//if searching
	$searchHint = "";
	if( (strtoupper($search) != "ALL" && strtoupper($search) != "SEARCH..." && $search != "") ){
		if(strlen($search) == 1){ // clicked a letter for "starts with"
			$whereClause .= " AND M.locationName LIKE '" . $search . "%'";
		 	$searchHint = "Location Name starts with";
		}else{
			$whereClause .= " AND (M.type LIKE '%" . $search . "%' || M.locationName LIKE '%" . $search . "%' OR M.category LIKE '%" . $search . "%') ";
			 $searchHint = "Location or Type or Category";
		}
	}
			
	//querystring for links
	$qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
	$qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;
	
	
	
	//get total recs.
	$totalSql = "  SELECT Count(M.id) AS TotalRecs  ";
	$totalSql .= " FROM " . TBL_MAP_DATA . " AS M ";
	
	
	//append where
	$totalSql .= $whereClause;

	//get total count of records that meet search criteria
	$totalRecs = fnGetOneValue($totalSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
	
	
	
	
	//calculate firstRec
	$firstRec = ($currentPage - 1) * $recsPerPage;
		if($firstRec < 0) $firstRec = 0;
		
	//calculate total pages
	if($totalRecs > $recsPerPage) $totalPages = ceil($totalRecs / $recsPerPage);
	
	//re-calculate lastRec
	$lastRec = $currentPage * $recsPerPage;
	if($lastRec > $totalRecs) $lastRec = $totalRecs;
		
	//fetch
	$strSql = "SELECT * FROM " . TBL_MAP_DATA . " AS M ";
	$strSql .= $whereClause;
	$strSql .= " ORDER BY " . $sortColumn . " " . $sortUpDown;
	$strSql .= " LIMIT " . $firstRec . "," . $recsPerPage;
	
	
	//shows sort arrow.
	$tmpSort = ($sortUpDown == "ASC") ? 'DESC' : 'ASC' ;
	
	//paging links
	$prevPageLink = "\n<a href='" . $scriptName . "?1=1" . $qVars . "&nextPage=" . ($currentPage - 1) . "' title='Previous Page' target='_self'>< Previous Page</a><span class='linkSpacer'>&nbsp;</span>";
	$nextPageLink = "\n<a href='" . $scriptName . "?1=1" . $qVars . "&nextPage=" . ($currentPage + 1) . "' title='Next Page' target='_self'>Next Page ></a><span class='linkSpacer'>&nbsp;</span>";
	if($firstRec < $recsPerPage) $prevPageLink = "";
	if(($firstRec + $recsPerPage) >= $totalRecs) $nextPageLink = "";
	
	//fix up search
	$tmpSearch = $search;
	if($search == "" || strtoupper($search) == "ALL") $search = "Search...";

?>

<?php echo $headers; ?>
<?php echo $bodyStart; ?>
<?php echo $topNavBar;?>


<script>
	function fnConfirmGeocode(){
		document.forms[0].command.value = 'confirmGeocode';
		document.forms[0].submit();	
	}	
	function fnCancelGeocode(){
		document.forms[0].command.value = '';
		document.forms[0].submit();	
	}	
</script>
<style type="text/css">
	.season{
		width:30px;
		float:left;
	}
</style>

<input type="hidden" name="appGuid" id="appGuid" value="<?php echo $appGuid;?>">
<input type="hidden" name="recsPerPage" id="recsPerPage" value="<?php echo $recsPerPage;?>">
<input type="hidden" name="currentPage" id="currentPage" value="<?php echo $currentPage;?>">
<input type="hidden" name="totalPages" id="totalPages" value="<?php echo $totalPages;?>">
<input type="hidden" name="firstRec" id="firstRec" value="<?php echo $firstRec;?>">
<input type="hidden" name="lastRec" id="lastRec" value="<?php echo $lastRec;?>">
<input type="hidden" name="totalRecs" id="totalRecs" value="<?php echo $totalRecs;?>">
<input type="hidden" name="sortColumn" id="sortColumn" value="<?php echo $sortColumn;?>">
<input type="hidden" name="sortUpDown" id="sortUpDown" value="<?php echo $sortUpDown;?>">
<input type="hidden" name="command" id="command" value="">


<div class='content'>
        
    <fieldset class='colorLightBg'>
                   
        <p>
            <div style='float:left;'>

            </div>
                
            <div style='float:left'>
                <a href="../../bt_v15/bt_app/index.php?appGuid=<?php echo $appGuid;?>" title='App Home'>Application Home</a> 
					<h2>Geocoding</h2>
					<p>This script will automatically geocode your data with the following rules:<br>
					<ol>
						<li>The Latitude and Longitude fields are empty
						<li>There are valid entries in <b>at least 3</b> of the following (Address 1 is mandatory): city, state, postalCode, country
					</ol><p>
					There is no guarantee of accuracy by me, BT, or anyone your lawyer can think of.<br>
					You are advised that this procedure is at your own risk, and we suggest you have a backup. Just saying.<p>
					Please conform to google guidelines and restrictions for Geocoding with the Google API:&nbsp;<a href="https://developers.google.com/maps/terms#section_10_12" Target="_Blank">https://developers.google.com/maps/terms#section_10_12</a>
					<p>
            </div>
                   
            <div style='float:right;'>
                <div style='float:right;margin:0px;'>
                    &nbsp;
                    <input type='button' title="search" value="search" align='absmiddle' class="buttonSubmit" onClick="top.fnRefresh(document);return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                </div>
                <div style='float:right;margin:0px;'>
                    <input name='searchInput' id='searchInput' onFocus="top.fnClearSearch('Search...',this);" type='text' value="<?php echo fnFormOutput($search, true);?>" class='searchBox' style='margin:0px;display:inline;vertical-align:middle;overflow:hidden;' onkeyup="document.forms[0].currentPage.value='1';">
                </div>
           </div>
           <div style="clear:both;"></div>
        </p>

                
        <table cellspacing='0' cellpadding='0' style='width:99%;overflow:hidden;'>
            <tr>
                <script>top.fnWriteAlphabet(document, "<?php echo $search;?>");</script>
            </tr>
        </table>

        <table cellspacing='0' cellpadding='0' width="99%" style='margin-top:5px;'>
            
            <?php if( (strtoupper($search) != "ALL" && strtoupper($search) != "SEARCH..." && $search != "") || $status != ""){ //show message?>
            <tr>
                <td class='searchDiv' colspan='<?php echo $colCount;?>' style='padding-left:0px;'>
                    <div>
                        <span style='color:red;'><?php echo $searchHint;?>:</span> <?php echo fnFormOutput($search, true);?>
                        &nbsp;&nbsp;                              
                        <a href="<?php echo $scriptName;?>?appGuid=<?php echo $appGuid;?>&search"><img src="../../images/arr_right.gif" alt='arrow'/>clear search</a>
                    </div>
                 </td>
            </tr>
            <?php } ?>

        	    <tr>
                
            	    <td nowrap style='padding-left:0px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                	    <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.locationName');return false;">Location Name</a> <?php echo fnSortIcon("M.locationName", $tmpSort, $sortColumn); ?>
	                </td>
    	            <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
        	            <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.latitude');return false;">Latitude</a> <?php echo fnSortIcon("M.latitude", $tmpSort, $sortColumn); ?>
            	    </td>
                	<td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
                    	<a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.longitude');return false;">Longitude</a> <?php echo fnSortIcon("M.longitude", $tmpSort, $sortColumn); ?>
	                </td>
    	            <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>   
        	            <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.address1');return false;">Address 1</a> <?php echo fnSortIcon("M.address1", $tmpSort, $sortColumn); ?>
            	    </td>
	                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>
    	                <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.city');return false;">City</a> <?php echo fnSortIcon("M.city", $tmpSort, $sortColumn); ?>
        	        </td>
	                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>  
    	                <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.state');return false;">State</a> <?php echo fnSortIcon("M.state", $tmpSort, $sortColumn); ?>
                	</td>
	                <td nowrap style='padding-left:10px;border-bottom:1px solid #999999;padding-bottom:5px;vertical-align:bottom;'>   
    	                <a title="Sort" class="bold" style='font-size:11pt;' href="#" onclick="top.fnSort(document, 'M.postalCode');return false;">Postal Code</a> <?php echo fnSortIcon("M.postalCode", $tmpSort, $sortColumn); ?>
        	        </td>
	                <td style='padding:0px;border-bottom:1px solid #999999;vertical-align:top;text-align:right;padding-bottom:10px;padding-right:5px;' >
    	                <input id="checkAll" type='checkbox' style="width:12px;height:12px;margin:0px;display:inline;" onclick="top.fnCheckAll(self);">
        	        </td>
	            </tr>



            
            <tr>
                <td colspan='<?php echo $colCount;?>'>
                    &nbsp;
                    
                    <div id="messageBox" style="display:block;">
                   <?php if(strtoupper($doWhat) == "GEOCODEIT"){ ?>
                        <div class="errorDiv">
                            <br/>
                            <b>Geocode selected items?</b>
                            <div style='padding-top:5px;'>
                                When you confirm this operation the selected items will be Geocoded. We cannot stop once we start...<br>
                            </div>
                            <div style='padding-top:5px;'>
                                <a href="#" onclick="fnCancelGeocode();return false;"><img src="../../images/arr_right.gif" alt='arrow'/>No, do not Geocode the selected items</a>
                            </div>
                            <div style='padding-top:5px;'>
                                <a href="#" onclick="fnConfirmGeocode();return false;"><img src="../../images/arr_right.gif" alt='arrow'/>Yes, Geocode the selected items</a>
                            </div>
                        </div>
                    <?php } ?>                                    

                    <?php if($strMessage != "" && $bolDone) { ?>
                        <div class='doneDiv'>
                            <?php echo $strMessage;?> 
                            <div style='padding-top:5px;'>
                                <a href="<?php echo $scriptName;?>?1=1<?php echo $qVars;?>"><img src="../../images/arr_right.gif" alt='arrow'/>OK, hide this message</a>
                            </div>
                        </div>
                    <?php } ?>                     
                    
                    <?php if($strMessage != "" && !$bolDone){ ?>
                        <div class='errorDiv'>
                            <?php echo $strMessage;?>                                
                        </div>
                    <?php } ?> 
                    
                    
                                
                    </div>
                
                
                </td>
            </tr>
            
            <?php
                //data
                $numRows = 0;
                $cnt = 0;
                if($totalRecs > 0){
                    $res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
                    if($res){
                        $numRows = mysql_num_rows($res);
                        $cnt = 0;
                            while($row = mysql_fetch_array($res)){
                            $cnt++;
                                        
                            //style
                            $css = (($cnt % 2) == 0) ? "rowAlt" : "rowNormal" ;

                            $BT_mapId = $row['guid'];
                            $type = $row['type'];
                            $category = fnFormOutput($row['category']);
                            $locationName = fnFormOutput($row['locationName']);
                            if(strlen($locationName) > 30){
                                $locationName = substr($locationName, 0, 30) . "...";
                            }
					        $address1 = fnFormOutput($row['address1']);
					        $address2 = fnFormOutput($row['address2']);
				            $city = fnFormOutput($row['city']);
				    	    $state = fnFormOutput($row['state']);
			            	$postalCode = fnFormOutput($row['postalCode']);
				            $country = fnFormOutput($row['country']);
				            $latitude = fnFormOutput($row['latitude']);
				            $longitude = fnFormOutput($row['longitude']);
					        $phone = fnFormOutput($row['phone']);
					        $email = fnFormOutput($row['email']);
				            $website = fnFormOutput($row['website']);
				    	    $type = $row['type'];
			            	$category = fnFormOutput($row['category']);
				            $linkImage = fnFormOutput($row['linkImage']);
                            
					        $ok2Geo = false;
					        $hasAddress = false;
					        $hasCity = false;
				            $hasState = false;
			    	        $hasCountry = false;
			        	    $hasPostalCode = false;
			            	$locationText = "";
        							
							//truncate...
							if(strlen($locationText) > 50) $locationText = substr($locationText, 0, 50) . "...";
                            
                            //lat / lon warning
                            $noLatLon = "";
                            if(strlen($row["latitude"]) < 2 || strlen($row["longitude"]) < 2){
                                $noLatLon = "<span style='color:red;font-size:8pt;'> <i>No lat/lon</i></span>";
                            }
                            
                            // $qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
							// $qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;

                            $qVars .= "&BT_mapId=" . $BT_mapId;
                            $qVars .= "&locationName=" . $locationName;
                            $qVars .= "&latitude=" . $latitude;
                            $qVars .= "&longitude=" . $longitude;
                            $qVars .= "&type=" . $type;
                            $qVars .= "&category=" . $category;
                            $qVars .= "&address1=" . $address1;
                            $qVars .= "&address2=" . $address2;
                            $qVars .= "&city=" . $city;
                            $qVars .= "&state=" . $state;
                            $qVars .= "&postalCode=" . $postalCode;
                            $qVars .= "&country=" . $country;
                            $qVars .= "&phone=" . $phone;
                            $qVars .= "&email=" . $email;
                            $qVars .= "&website=" . $website;
                            $qVars .= "&linkImage=" . $linkImage;
                            
                            echo "\n\n<tr id='i_" . $BT_mapId . "' class='" . $css . "'>";
                                echo "\n<td class='data' style='padding-left:0px;'>";
                                echo "<a href='map.php?appGuid=" . $appGuid . "&BT_mapId=" . $BT_mapId . $qVars . "'>" . $locationName . "</a>";
                                echo "</td>";
                                echo "\n<td class='data' style='padding-left:10px;'>" . $latitude . "</td>";
                                echo "\n<td class='data' style='padding-left:10px;'>" . $longitude . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $address1 . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $city . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $state . "</td>";
								echo "\n<td class='data' style='padding-left:10px;'>" . $postalCode . "</td>";
                               // echo "\n<td class='data' style='padding-left:10px;'>" . $locationText . $noLatLon . "</td>";
                                
                                echo "\n<td class='data' style='padding:0px;padding-right:5px;text-align:right;'><input id='selected[]' name='selected[]' type='checkbox' style='height:12px;width:12px;margin:0px;' value='" . $BT_mapId . "' " . fnIsChecked($BT_mapId) . "></td>";
                            echo "\n</tr>";
                            
                            
                        }//end while
                    }//no res
                }//no records
    
            ?>

            <tr>
                <td colspan='<?php echo $colCount;?>'>&nbsp;</td>
            </tr>
    
                
                <td colspan='<?php echo $colCount;?>' style-'text-align:right;'>
                
                    <?php if($totalRecs > 0){?>
                       
                        <div style='padding:5px;float:right;'>
                            <select id='doWhat' name='doWhat' onChange="document.forms[0].submit();" style='vertical-align:middle;width:250px;' align='absmiddle'>
                                <option value="">&nbsp;Actions menu...</option>
                                <option value="geocodeit">&nbsp;Geocode Locations</option>
                            </select>
                        </div>
                        <div style='clear:both;'></div>
                        <div style='padding:5px;float:right;'>
                            <?php 
                                echo ($firstRec + 1) . " - " . $lastRec . " of " . $totalRecs;
                                if($totalRecs > $recsPerPage){
                                    echo "<span class='linkSpacer'>&nbsp;</span>";
                                    echo $prevPageLink . $nextPageLink;
                                }
                            ?>
                        </div>
                        <div style='clear:both;'></div>

                    <?php } ?>
                    
                </td>
            </tr>
        </table>


            


	</fieldset>
        


<?php echo $bottomNavBar;?>
</div>
<?php echo $bodyEnd; ?>
<p>&nbsp;<p>