<?php   require_once("../../config.php");

	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
		
	//User Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);

	//Page Object
	$thisPage = new Page();
	$thisPage->formEncType = "multipart/form-data";
	
	$dtNow = fnMySqlNow();
	$dtToday = fnFromUTC(fnMySqlNow(), "7", "m/d/y h:i A");
	$strMessage = "";
	$bolDone = false;
	$bolPassed = true;
	$bolDeleted = false;
	$appGuid = fnGetReqVal("appGuid", "", $myRequestVars);
	$appName = "";
	$status = "";
	$command = fnGetReqVal("command", "", $myRequestVars);
	$BT_narrativeId = fnGetReqVal("BT_narrativeId", "", $myRequestVars);

	//BT_narrativeId will be 0 if we are adding a new record...
	
	//App Object
	if($appGuid == "" || $BT_narrativeId == ""){
		echo "invalid request (1)";
		exit();
	}else{
		
		//Only owner of app or Admins can see this app
		$objApp = new App($appGuid);
		$thisPage->pageTitle = $objApp->infoArray["name"];
	
		if($objApp->infoArray["ownerGuid"] == $guid || strtoupper($thisUser->infoArray["userType"]) == "ADMIN" ){
			$appName = $objApp->infoArray["name"];
		}else{
			echo "invalid request (2)";
			exit();
		}
		
	}		

	$headers = $thisPage->fnGetPageHeaders();	
	$bodyStart = $thisPage->fnGetBodyStart();
	$topNavBar = $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
	$bottomNavBar = $thisPage->fnGetBottomNavBar();
	$bodyEnd = $thisPage->fnGetBodyEnd();
	
	
	//list vars
	$search = fnGetReqVal("searchInput", "Search...", $myRequestVars);
	$scriptName = "narrative.php";
	$recsPerPage = 50;
	$totalPages = 1;
	$currentPage = 1;
	$firstRec = 0;
	$lastRec = 0;
	$defaultSort = "N.title";
	$defaultUpDown = "ASC";
	$colCount = 6;

	//sort up / down
	$sortUpDown = fnGetReqVal("sortUpDown", $defaultUpDown, $myRequestVars);
		//if we clicked a column header
		$sortUpDown = fnGetReqVal("nextUpDown", $sortUpDown, $myRequestVars);
	//sort column
	$sortColumn = fnGetReqVal("sortColumn", "", $myRequestVars);
		//if we clicked a column header
		$sortColumn = fnGetReqVal("nextCol", $sortColumn, $myRequestVars);
			if($sortColumn == "") $sortColumn = $defaultSort;
	
	//current page 	
	$currentPage = fnGetReqVal("currentPage", 1, $myRequestVars);
		//if we clicked next/prev page
		$currentPage = fnGetReqVal("nextPage", $currentPage, $myRequestVars);
			if(!is_numeric($currentPage)) $currentPage = 1;
		
	//querystring for links
	$qVars = "&searchInput=" . fnFormOutput($search) . "&appGuid=" . $appGuid;
	$qVars .= "&sortColumn=" . $sortColumn . "&sortUpDown=" . $sortUpDown . "&currentPage=" . $currentPage;
	
	////////////////////////////////////////
	//vars..
	$title = fnGetReqVal("title", "", $myRequestVars);
	$narrative = fnGetReqVal("narrative", "", $myRequestVars);
	$type = fnGetReqVal("type", "", $myRequestVars);
	$category = fnGetReqVal("category", "", $myRequestVars);
	
	
	//########################################################################
	//form submit
	
	
	if($isFormPost){
		//Check to see if the title and narrative fields are populated
		if(strlen($title) < 1){
			$bolPassed = false;
			$strMessage .= "<br />Title or topic required";
		}
		if(strlen($narrative) < 1){
			$bolPassed = false;
			$strMessage .= "<br />Narrative required";
		}
		
		
		//if passed...insert or update?
		if($bolPassed){
		
			if(strlen($BT_narrativeId) > 5){
				
			
				//update...
				$strSql .= "UPDATE " . TBL_NARRATIVE_DATA . " SET ";
				$strSql .= "title = '" . $title . "', ";
				$strSql .= "narrative = '" . $narrative . "', ";
				$strSql .= "type = '" . $type . "', ";
				$strSql .= "category = '" . $category . "' ";
				
				$strSql .= " WHERE appGuid = '" . $appGuid . "' AND guid = '" . $BT_narrativeId . "'";
				
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
				
				
				
				
			}else{
			
				//Inserting a new record into the table
				$BT_narrativeId = strtoupper(fnCreateGuid());
				$strSql = "INSERT INTO " . TBL_NARRATIVE_DATA . " (guid, appGuid, title, narrative, type, category, ";
				$strSql .= "status, dateStampUTC, modifiedUTC) VALUES ( ";
				$strSql .= "'" . $BT_narrativeId . "', '" . $appGuid . "','" . $title . "', '" . $narrative . "', '" . $type . "', '" . $category . "', ";
				$strSql .= "'active', '" . $dtNow . "', '" . $dtNow . "')";
				
				
				
				fnExecuteNonQuery($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			}//end BT_narrativeId is greater than 5
			
			
		
			$bolDone = true;
		}//end bolPassed
		
	}//end if form post
	
	else{//the $ifFormPost is not true, so updating an existing record
	 
	
	
	
		//Updating an existing record
		if(strlen($BT_narrativeId) > 5){
	
			//fetch
			$strSql = " SELECT N.guid, N.title, N.narrative, N.type, N.category ";
			$strSql .= "FROM " . TBL_NARRATIVE_DATA . " AS N ";
			$strSql .= " WHERE N.appGuid = '" . $appGuid . "' AND N.guid = '" . $BT_narrativeId . "'";
		
			
			
			$res = fnDbGetResult($strSql, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			
			if($res){
				$numRows = mysql_num_rows($res);
				$cnt = 0;
				while($row = mysql_fetch_array($res)){
					$cnt++;
					
					//fill vars...
					$title = fnFormOutput($row["title"]);
					$narrative = fnFormOutput($row["narrative"]);
					$type = fnFormOutput($row["type"]);
					$category = fnFormOutput($row["category"]);
					
					
				}//end while loop
				
			}//end if results
			
		}//end BT_locationId > 5 
	
	}//isFormPost
	
	
	
	
	//fix up search
	$tmpSearch = $search;
	if($search == "" || strtoupper($search) == "ALL") $search = "Search...";

?>

<?php echo $headers; ?>
<?php echo $bodyStart; ?>
<?php echo $topNavBar;?>

<input type="hidden" name="appGuid" id="appGuid" value="<?php echo $appGuid;?>">
<input type="hidden" name="BT_narrativeId" id="BT_narrativeId" value="<?php echo $BT_narrativeId;?>">
<input type="hidden" name="recsPerPage" id="recsPerPage" value="<?php echo $recsPerPage;?>">
<input type="hidden" name="currentPage" id="currentPage" value="<?php echo $currentPage;?>">
<input type="hidden" name="totalPages" id="totalPages" value="<?php echo $totalPages;?>">
<input type="hidden" name="firstRec" id="firstRec" value="<?php echo $firstRec;?>">
<input type="hidden" name="lastRec" id="lastRec" value="<?php echo $lastRec;?>">
<input type="hidden" name="totalRecs" id="totalRecs" value="<?php echo $totalRecs;?>">
<input type="hidden" name="sortColumn" id="sortColumn" value="<?php echo $sortColumn;?>">
<input type="hidden" name="sortUpDown" id="sortUpDown" value="<?php echo $sortUpDown;?>">
<input type="hidden" name="command" id="command" value="">


<div class='content'>
        
    <fieldset class='colorLightBg'>
                   
        <p>
            <div style='float:left;'>

            </div>
                
            <div style='float:left'>
                
                <a href="narratives.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Back to Definitions List</a> 
                &nbsp;|&nbsp;
                
                
                <a href="../../bt_v15/bt_app/index.php?appGuid=<?php echo $appGuid;?>" 
                title='App Home'> Application Home</a> 
                
            </div>
				
            <div style='padding-top:15px;'>
                <?php if(strlen($BT_narrativeId) < 5){ ?>
                    <h2>Add Definition</h2>
                <?php } else { ?>
                    <h2><?php echo $title;?></h2>
                <?php } ?>
                <hr>
            </div>
    
            <?php if($strMessage != "" && !$bolDone){ ?>
                <div class='errorDiv'>
                    <?php echo $strMessage;?>                                
                </div>
            <?php } ?> 
            
            <?php if($bolDone){ ?>
                <div class='doneDiv'>
                    <b>Update Successful</b>. 
                   <!--  <div style='padding-top:5px;'>
                    
                   
                        <a href="narrative.php?appGuid=<?php echo $appGuid . "&BT_narrativeId=" . $BT_narrativeId . $qVars;?>"><img src="../../images/arr_right.gif" alt='arrow'/>OK, hide this message</a>
                    </div> -->
                    <div style='padding-top:5px;'>
                        <a href='narratives.php?1=1<?php echo $qVars;?>'><img src="../../images/arr_right.gif">Back to Definitions List</a>
                    </div>
                </div>
            <?php } ?>             
    
            <table>
                <tr>
                    <td style='vertical-align:top;'>
                       <div style='padding-top:10px;'>
                           <b>Topic or Title</b> (This will display on the menu list.)<br/>
                           <input type="text" name="title" id="title" value="<?php echo fnFormOutput($title);?>" maxlength="100"/>
                       </div>
    
                       <div style='padding-top:5px;'>
                            <b>Narrative</b> (500 characters max length) <span style='font-weight:normal;'></span><br/>
                            <input type="text" style="width:800px" name="narrative" id="narrative" value="<?php echo fnFormOutput($narrative);?>" maxlength="500">
                        </div>
    
          
                   These are optional and are used for breaking your topics into subset menus. 
                        <div style='padding-top:5px;'>
                            <b>Type</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="type" id="type" value="<?php echo fnFormOutput($type);?>" maxlength="100"/>
                        </div>
    
                        <div style='padding-top:5px;'>
                            <b>Category</b> <span style='font-weight:normal;'></span><br/>
                            <input type="text" name="category" id="category" value="<?php echo fnFormOutput($category);?>" maxlength="100"/>
                        </div>
    
                    
                        <div style='padding-top:5px;padding-bottom:10px;'>
                            <input type='button' id="submitButton" name="submitButton" title="submit" value="submit" align='absmiddle' class="buttonSubmit" onClick="document.forms[0].submit();return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                            <input type='button' id="cancelButton" name="cancelButton" title="cancel" value="cancel" align='absmiddle' class="buttonCancel" onClick="document.location.href='narratives.php?1=1<?php echo $qVars;?>';return false;" style='display:inline;vertical-align:middle;margin:0px;'>
                        </div>
                        
                    </td>
                </tr>
            </table>


            
            </fieldset>
        
<?php echo $bottomNavBar;?>
</div>
<?php echo $bodyEnd; ?>
